# bambuModels.json Description

## Introduction

The `bambuModels.json` file is a JSON file that contains the metadata of the
models in the Bambu database. This file is used by the Bambu connector to
define settings and extract mappings and possible options.

## Special values

### communicationFlags

Bitfield enabling special treatments. The following flags are available:
1: Poll model reports. Important for firmwares without pushing changes (P1, A)

### mqtt...

Field describing how to connect to printer MQTT server in case these get changed.

