<h1 class="page-header" style="margin-top: 0"><i class="fa fa-gears"></i> <?php _('Maintainer Mode') ?></h1>
<div class="alert alert-info margin-bottom">
<i class="fa fa-info-circle"></i>
<?php _('Some functions are only available for the authorized maintainer. Here the maintainer can activate the disabled function.') ?>
</div>
<div ng-if="$root.hasMaintainer" class="panel panel-default margin-top">
<div class="panel-heading"><?php _('Maintainer Mode') ?></div>
<div ng-if="user.maintainPermission" class="panel-body">
<div class="btn btn-primary" ng-click="disableMaintainer()"><?php _('Disable Maintainer Permissions') ?></div>
<hr>
<h2><?php _('Change Maintainer Mode Password') ?></h2>
<div class="form-group">
<label for="oldPassword"><?php _('Maintainer Mode Password') ?></label>
<input id="oldPassword" class="form-control" type="password" placeholder="<?php _('Password') ?>" ng-model="changePassword.oldPassword">
</div>
<div class="form-group">
<label for="newPassword"><?php _('New Password') ?></label>
<input id="newPassword" class="form-control" type="password" placeholder="<?php _('Password') ?>" ng-model="changePassword.newPassword">
</div>
<div class="btn btn-primary" ng-click="setPassword()"><?php _('Change Password') ?></div>
</div>
<div ng-if="$root.hasMaintainer && !user.maintainPermission" class="panel-body">
<div class="form-group">
<label for="loginPassword"><?php _('Maintainer Mode Password') ?></label>
<input id="loginPassword" class="form-control" type="password" placeholder="<?php _('Password') ?>" ng-model="$parent.$parent.password">
</div>
<div class="btn btn-primary" ng-click="enableMaintainer()"><?php _('Enable Maintainer Permissions') ?></div>
</div>
</div>
<div ng-if="$root.hasTouchMaintainer" class="panel panel-default margin-top">
<div class="panel-heading"><?php _('Touch-Maintainer Mode') ?></div>
<div ng-if="user.touchMaintainPermission" class="panel-body">
<div class="btn btn-primary" ng-click="disableTouchMaintainer()"><?php _('Disable Touch-Maintainer Permissions') ?></div>
<hr>
<h2><?php _('Change Touch-Maintainer Mode Password') ?></h2>
<div class="form-group">
<label for="oldTouchPassword"><?php _('Touch-Maintainer Mode Password') ?></label>
<input id="oldTouchPassword" class="form-control" type="password" placeholder="<?php _('Password') ?>" ng-model="changeTouchPassword.oldPassword">
</div>
<div class="form-group">
<label for="newTouchPassword"><?php _('New Password') ?></label>
<input id="newTouchPassword" class="form-control" type="password" placeholder="<?php _('Password') ?>" ng-model="changeTouchPassword.newPassword">
</div>
<div class="btn btn-primary" ng-click="setTouchPassword()"><?php _('Change Password') ?></div>
</div>
<div ng-if="!user.touchMaintainPermission" class="panel-body">
<div class="form-group">
<label for="loginTouchPassword"><?php _('Touch-Maintainer Mode Password') ?></label>
<input id="loginTouchPassword" class="form-control" type="password" placeholder="<?php _('Password') ?>" ng-model="$parent.$parent.touchPassword">
</div>
<div class="btn btn-primary" ng-click="enableTouchMaintainer()"><?php _('Enable Touch-Maintainer Permissions') ?></div>
</div>
</div>
