<div>
<table style="width:100%;margin-bottom:-10px" class="form-inline">
<tr ng-repeat="e in $root.active.state.extruder track by $index" style="margin-bottom:8px">
<td style="width:1px;padding-right:4px">
<input type="radio" ng-show="$root.activeConfig.extruders[$index].toolType<4" ng-value="$index" ng-model="$root.active.state.activeExtruder" ng-disabled="!$ctrl.idle || !$root.user.printPermission" ng-change="$root.RSPrinter.selectExtruder($index)">
</td>
<td style="width:1px;text-align: center;padding:0 4px"><i class="{{$root.RSPrinter.extruderIcon($index)}} rs-bigtab"></i></td>
<td style="text-align:right;padding-bottom:8px;min-width:130px">
<span rs-dropdown dropdown-append-to-body is-open="$ctrl.mopen['E'+$index]" ng-if="$root.activeConfig.extruders[$index].supportTemperature && $root.user.printPermission">
<a href rs-dropdown-toggle style="display: flex;justify-content: flex-end;align-items: center;">
<div style="display: inline-block"><strong>{{$root.RSPrinter.extruderName($index)}}</strong><br>
{{e | tempFullConf:$root.activeConfig.extruders[$index]:1}}</div>
<i class="fa fa-caret-down" style="padding-left: 8px" ng-if="$root.user.printPermission"></i>
</a>
<ul rs-dropdown-menu class="dropdown-menu-right" ng-show="$root.user.printPermission">
<li ng-click="$event.stopPropagation()" style="height:80px">
<knob min="0" max="{{$root.activeConfig.extruders[$index].maxTemp}}" digits="$root.activeConfig.extruders[$index].setPrecision" value="$root.active.state.extruder[$index].tempSet" changed="$root.RSPrinter.setExtruderTemperature($index,value)"></knob>
</li>
<li class="divider"></li>
<li>
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setExtruderTemperature($index,0);$ctrl.closeMenu('E'+$index)"><?php _('Off') ?></a>
</li>
<li class="divider" ng-show="$root.activeConfig.extruders[$index].temperatures.length>0"></li>
<li ng-repeat="t in $root.activeConfig.extruders[$index].temperatures track by $index">
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setExtruderTemperature($parent.$index,t.temp);$ctrl.closeMenu('E'+$parent.$index)">{{t.name}}</a>
</li>
</ul>
</span>
<span rs-dropdown dropdown-append-to-body is-open="$ctrl.mopen['E'+$index]" ng-if="!$root.activeConfig.extruders[$index].supportTemperature || !$root.user.printPermission">
<div href style="display: flex;justify-content: flex-end;align-items: center;">
<div style="display: inline-block"><strong>{{$root.RSPrinter.extruderName($index)}}</strong><br>
{{e | tempFullConf:$root.activeConfig.extruders[$index]:1}}</div>
</div>
</span>
</td>
</tr>
<tr ng-repeat="h in $root.activeConfig.heatedBeds track by 'b'+$index" style="position: relative">
<td></td>
<td style="width:1px;text-align: center;padding:0 4px">
<i class="rs rs-heated-bed rs-bigtab"></i></td>
<td style="text-align:right;padding-bottom:8px;">
<div rs-dropdown dropdown-append-to-body is-open="$ctrl.mopen['B'+$index]"><a href rs-dropdown-toggle style="display: flex;justify-content: flex-end;align-items: center;">
<div style="display: inline-block"><strong>{{$root.RSPrinter.bedName($index)}}</strong><br>
{{$root.active.state.heatedBeds[$index] | tempFullConf:h:1}}
</div>
<i class="fa fa-caret-down" style="padding-left:8px" ng-if="$root.user.printPermission"></i>
</a>
<ul rs-dropdown-menu class="dropdown-menu-right" ng-show="$root.user.printPermission">
<li ng-click="$event.stopPropagation()" ng-show="$root.user.printPermission">
<knob min="0" max="{{h.maxTemp}}" digits="h.setPrecision" value="$root.active.state.heatedBeds[$index].tempSet" changed="$root.RSPrinter.setBedTemperature(value, $index)"></knob>
</li>
<li class="divider"></li>
<li>
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setBedTemperature(0,$index);$ctrl.closeMenu('B'+$index)"><?php _('Off') ?></a>
</li>
<li class="divider" ng-show="h.temperatures.length>0"></li>
<li ng-repeat="t in h.temperatures track by $index">
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setBedTemperature(t.temp,$parent.$index);$ctrl.closeMenu('B'+$parent.$index)">{{t.name}}</a>
</li>
</ul>
</div>
</td>
</tr>
<tr ng-repeat="h in $root.activeConfig.heatedChambers track by 'c'+$index" style="position: relative">
<td></td>
<td style="width:1px;text-align: center;padding:0 4px">
<i ng-class="$ctrl.RSPrinter.chamberIcon($index)" class="rs-bigtab"></i></td>
<td style="text-align:right;padding-bottom:8px;">
<div ng-if="h.supportTemperature">
<div rs-dropdown dropdown-append-to-body is-open="$ctrl.mopen['C'+$index]">
<a href rs-dropdown-toggle style="display: flex;justify-content: flex-end;align-items: center;">
<div style="display: inline-block">
<strong>{{$root.RSPrinter.chamberName($index)}}</strong><br>
{{$root.active.state.heatedChambers[$index] | tempFullConf:h:1}}
</div>
<i class="fa fa-caret-down" style="padding-left:8px" ng-if="$root.user.printPermission"></i>
</a>
<ul rs-dropdown-menu class="dropdown-menu-right" ng-show="$root.user.printPermission">
<li ng-click="$event.stopPropagation()" ng-show="$root.user.printPermission">
<knob min="0" max="{{h.maxTemp}}" digits="$root.activeConfig.heatedChambers[$index].setPrecision" value="$root.active.state.heatedChambers[$index].tempSet" changed="$root.RSPrinter.setChamberTemperature(value, $index)"></knob>
</li>
<li class="divider"></li>
<li>
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setChamberTemperature(0, $index);$ctrl.closeMenu('C'+$index)"><?php _('Off') ?></a>
</li>
<li class="divider" ng-show="h.temperatures.length>0"></li>
<li ng-repeat="t in h.temperatures track by $index"><a href="javascript:void(0)" ng-click="$root.RSPrinter.setChamberTemperature(t.temp,$parent.$index);$ctrl.closeMenu('C'+$parent.$index)">{{t.name}}</a>
</li>
</ul>
</div>
</div>
<span ng-if="!h.supportTemperature">
<strong>{{$root.RSPrinter.chamberName($index)}}</strong><br>
{{$root.active.state.heatedChambers[$index] | tempFullConf:h:1}}
</span>
</td>
</tr>
</table>
</div>
