<div class="tab-pane active" ng-if="active.status.online">
<div id="control-top" class="margin-top">
<div id="control-left" style="overflow: hidden;">
<div class="" id="control-row" style="overflow-x:hidden;margin-bottom:-20px">
<uib-accordion close-others="0">
<div ng-if="active.caps.liveBedView" uib-accordion-group class="panel-default panel-body-no-padding" is-open="local.openControl.bed">
<uib-accordion-heading>
<div class="clickable"><i class="rs rs-bed"></i> <?php _('Bed') ?>
<div class="btn btn-default btn-sm icon-btn-border" style="margin: -7px 0 -7px 20px;" ng-click="togglePreview2d($event)">
<i class="fa" ng-class="{'fa-cube':preview2d, 'fa-square-o':!preview2d}" style="font-size:18px;margin:-3px"></i>
{{ preview2d ? "3D" : "2D"}}
</div>
<div class="hide-control-both d-inline-block" ng-show="user.printPermission" rs-dropdown dropdown-append-to-body style="margin-left:10px;" is-open="menuList['view2d']">
<button ng-click="prevent($event,'view2d')" type="button" class="icon-btn-border btn btn-default btn-sm" style="margin: -7px 0 -7px 10px;width:30px">
<i class="fa fa-ellipsis-v"></i>
</button>
<ul rs-dropdown-menu role="menu" style="text-align: left">
<li ng-show="activeConfig.movement.allEndstops">
<a href="javascript:void(0)" ng-click="closeMenu('view2d');RSPrinter.sendGCode('@runButtonCommand homeAll')" ng-disabled="!idle || !active.state.canMove">
<rs-menu-icon icon="fa fa-home"></rs-menu-icon> <?php _('Home All') ?>
</a>
</li>
<li ng-show="activeConfig.movement.xEndstop">
<a href="javascript:void(0)" ng-click="closeMenu('view2d');RSPrinter.sendGCode('@runButtonCommand homeX')" ng-disabled="!idle || !active.state.canMove">
<rs-menu-icon icon="fa fa-home"></rs-menu-icon>
<?php _('Home') ?> X</a>
</li>
<li ng-show="activeConfig.movement.yEndstop">
<a href="javascript:void(0)" ng-click="closeMenu('view2d');RSPrinter.sendGCode('@runButtonCommand homeY')" ng-disabled="!idle || !active.state.canMove">
<rs-menu-icon icon="fa fa-home"></rs-menu-icon>
<?php _('Home') ?> Y</a>
</li>
<li ng-show="activeConfig.movement.zEndstop">
<a href="javascript:void(0)" ng-click="closeMenu('view2d');RSPrinter.sendGCode('@runButtonCommand homeZ')" ng-disabled="!idle || !active.state.canMove">
<rs-menu-icon icon="fa fa-home"></rs-menu-icon>
<?php _('Home') ?> Z</a>
</li>
<li class="divider"></li>
<li ng-show="activeConfig.movement.autolevel">
<a href="javascript:void(0)" ng-click="closeMenu('view2d');RSPrinter.autolevel()" ng-disabled="!idle || !active.state.canMove">
<rs-menu-icon icon="rs rs-autolevel"></rs-menu-icon> <?php _('Autolevel') ?>
</a>
</li>
<li>
<a href="javascript:void(0)" ng-click="closeMenu('view2d');RSPrinter.motorsOff()" ng-disabled="printing">
<rs-menu-icon icon="rs rs-motor-off"></rs-menu-icon> <?php _('Motors off') ?></a>
</li>
<li ng-if="activeConfig.general.softwareLight">
<a href="javascript:void(0)" ng-click="closeMenu('view2d');RSPrinter.toggleCaseLights()">
<rs-menu-icon icon="rs rs-light"></rs-menu-icon> <?php _('Toggle Lights') ?></a>
</li>
<li>
<a href="javascript:void(0)" ng-if="user.printPermission" ng-click="closeMenu('view2d');goFilamentchange()">
<rs-menu-icon icon="rs rs-filamentchange"></rs-menu-icon> <?php _('Change Filament') ?>
</a>
</li>
</ul>
</div>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.bed, 'glyphicon-chevron-right': !local.openControl.bed}"></i>
<div class="hidden-xs pull-right text-color" ng-if="active.caps.hasPositions" ng-mouseup="toggleCoordinateSystem($event)" style="margin-right:20px;margin-top: -9px;">
<ng-bind-html ng-bind-html="posText"></ng-bind-html>
</div>
</div>
</uib-accordion-heading>
<div style="display: flex;flex-direction: row;flex-wrap: nowrap;width:100%;justify-content: space-between;" class="margin-bottom">
<div id="container-2d" ng-if="preview2d" style="flex:1 1 auto;overflow:hidden;">
<div style="margin: 0;height:70vh;padding:0;touch-action: pan-y; width:100%;position:relative">
<rs-bed-view-2d register="setPreview(value)" id="bedview2d" zoom="zoom2d" live="true" slug="activeSlug" show="show3dMode" show-retracts="false" show-print="true" show-travel="true" show-extruder="true"></rs-bed-view-2d>
<div ng-if="user.printPermission && idle" style="position: absolute;left:0;width:60px;top:5px;bottom:40px" class="slidervl rsslider slider-autohide label_y">
<rzslider rz-slider-model="sliderPos.y" rz-slider-options="ySlider"></rzslider>
</div>
<div ng-if="user.printPermission && idle && activeConfig.shape.basicShape.shape!=='zbelt'" style="position: absolute;right:-15px;width:60px;top:5px;bottom:40px;z-index:101" class="slidervr slider-autohide rsslider label_z">
<rzslider rz-slider-model="sliderPos.z" rz-slider-options="zSlider"></rzslider>
</div>
<div ng-if="user.printPermission && idle" style="bottom:0;position:absolute;left:40px;right:40px" class="sliderhb slider-autohide rsslider label_x">
<rzslider rz-slider-model="sliderPos.x" rz-slider-options="xSlider"></rzslider>
</div>
<div style="position: absolute;top:10px;right:60px;z-index:100">
<div class="d-inline-block" ng-click="toggle2DMenu('view', $event)">
<div class="gl-btn" style="position:relative;margin-right:10px">
<rs-icon icon-img="'/img/svg/rs-orientation-cube.svg'" color-class="gl-2" style="position: relative"></rs-icon>
</div>
</div>
<div class="d-inline-block" ng-click="toggle2DMenu('info', $event)" ng-if="layerData.xmin !== undefined">
<div class="gl-btn" style="position:relative;margin-right:10px">
<i class="fa fa-info-circle gl-2" style="position: relative"></i>
</div>
</div>
<div ng-if="$root.supportsFullscreen" class="gl-btn" style="position:relative" title3="<?php _('Toggle Full Screen') ?>" ng-click="toggle2DFullscreen()">
<i class="rs gl-2" style="position: relative" ng-class="{'rs-fullscreen':!$root.isFullscreen,'rs-normalscreen':$root.isFullscreen}"></i>
</div>
</div>
<div class="gc-menu" ng-if="menu2d.view">
<ul>
<li role="menuitem">
<a href="#" ng-click="fitPrinter();toggle2DMenu('')">
<div class="stack">
<rs-icon icon-img="'/img/svg/rs-orientation-cube.svg'"></rs-icon>
</div>
<?php _('Fit Printer') ?>
</a>
</li>
<li role="menuitem" ng-if="layerData.xmin !== undefined">
<a href="#" ng-click="fitObject();toggle2DMenu('')">
<div class="stack">
<rs-icon icon-img="'/img/svg/rs-object.svg'"></rs-icon>
</div>
<?php _('Fit Object') ?>
</a>
</li>
<li class="hr" ng-if="!$root.activeConfig.isZBelt"></li>
<li role="menuitem" ng-if="!$root.activeConfig.isZBelt">
<a href="#" ng-click="addExcludeRegion();toggle2DMenu('')">
<div class="stack">
<rs-icon icon="rs rs-killregion"></rs-icon>
</div>
<?php _('Exclude G-Codes') ?>
</a>
</li>
</ul>
</div>
<div class="gc-menu" ng-if="menu2d.info" ng-click="$event.stopPropagation()">
<ul class="list-group" style="text-align: left">
<li class="list-group-item active">
<h4 style="margin:0"><?php _('G-Code Analysis') ?></h4>
</li>
<li class="list-group-item">
<span><?php _('Number of Layers') ?>:</span>
<span>{{layerData.totalLayer}}</span>
</li>
<li class="list-group-item">
<span><?php _('Total Z Height') ?>:</span>
<span>{{layerData.totalHeight | number:3}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape!=='circle'">
<span><?php _('X Printed') ?>:</span>
<span>{{layerData.xmin | number:2}} - {{layerData.xmax | number:2}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape!=='circle'">
<span><?php _('Y Printed') ?>:</span>
<span>{{layerData.ymin | number:2}} - {{layerData.ymax | number:2}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape==='circle'">
<span><?php _('Radius Printed') ?>:</span>
<span>{{layerData.radius | number:2}} mm</span>
</li>
<li class="list-group-item">
<span><?php _('Total Printing Time') ?>:</span>
<span>{{layerData.totalDuration | dhms}}</span>
</li>
<li class="list-group-item">
<span><?php _('Total Number of Lines') ?>:</span>
<span>{{layerData.totalLines}}</span>
</li>
</ul>
</div>
</div>
<small ng-if="!isMobile" class="margin-left"><?php _('Zoom: Shift + Move or Shift + Wheel') ?></small>
</div>
<div ng-if="!preview2d" style="width: 100%;">
<rs-print-progress-3d slug="activeSlug" mode="live" register3d-view="register3dView"></rs-print-progress-3d>
<div ng-if="!update.free" class="bg-info text-info" style="padding: 5px 10px">
<?php _('This 3D view is a Pro feature. In the Free version max 25% of the print is drawn, after that only the current extruder position is shown.') ?>
<a class="btn btn-info" href="https://www.repetier.com/qr/s.php?s=buyserver" target="_blank"><?php _('Get your Pro license now') ?></a>
</div>
<small class="margin-left" ng-if="!isMobile">
<?php _('Zoom: Shift + Wheel') ?>
<?php _('Rotate: Left Mouse Button') ?>
<?php _('Pan: Shift + Left Mouse Button or Right Mouse Button') ?>
</small>
</div>
</div>
</div>
<div uib-accordion-group class="panel-default panel-body-no-padding" is-open="local.openControl.temperaturesAcc">
<uib-accordion-heading>
<div class="clickable"><i class="fa fa-area-chart"></i> <?php _('Temperature History') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.temperaturesAcc, 'glyphicon-chevron-right': !local.openControl.temperaturesAcc}"></i>
</div>
</uib-accordion-heading>
<rs-temperatures></rs-temperatures>
</div>
</uib-accordion>
</div>
</div>
<div class="row" id="control-right">
<div class="col-xs-12" ng-if="user.printPermission">
<div class="form-group" style="margin-bottom:10px">
<div class="input-group">
<input ng-show="user.showFeature('show-console')" type="text" class="form-control" id="sendCommand" ng-model="$parent.$parent.cmd" autocomplete="off" placeholder="<?php _('Enter your G-Code here') ?>" style="font-family: 'Courier New', monospace;" enter="sendCmd()" ng-keydown="walkHistory($event)">
<div ng-if="user.showFeature('show-console')" class="input-group-addon" ng-click="sendCmd()"><i class="fa fa-send"></i></div>
<div class="input-group-addon" is-open="$parent.$parent.$parent.menuCommands" rs-dropdown dropdown-append-to-body ng-if="user.showFeature('show-quick-commands') && (activeConfig.quickCommands.length > 0 && user.printPermission)">
<div rs-dropdown-toggle style="width:100%;height:100%;display:inline-block" ng-click="RSPrinter.updateVisibleQuickCommands()">
<i class="fa fa-terminal rs-bigtab"></i></div>
<ul rs-dropdown-menu role="menu">
<li ng-if="user.showFeature('printer-configure') && user.showFeature('printer-configure-gcodes')">
<a ui-sref="printerConfig.gcodes({slug:activeSlug})">
<rs-menu-icon icon="fa fa-gear"></rs-menu-icon> <?php _('Edit Commands') ?></a>
</li>
<li class="divider" ng-if="user.showFeature('printer-configure') && user.showFeature('printer-configure-gcodes')"></li>
<li ng-repeat="c in activeConfig.quickCommands track by $index" ng-if="user.printPermission && RSPrinter.visibleQuickCommands[c.name] && !(!c.visibleWhenPrinting && active.state.isJobActive)">
<a class="extrapad" href="javascript:void(0)" ng-click="closeCommands();sendQuickCommand(c.name)">
<rs-menu-icon icon="fa" icon-img="c.icon"></rs-menu-icon>
{{c.name}}
</a>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="col-xs-12">
<div ng-if="user.printPermission" class="btn-group btn-group-justified clearfix hide-control-wrapped d-block" style="margin-top: 0px">
<label class="btn btn-default" style="padding: 6px" ng-show="activeConfig.movement.allEndstops" ng-click="RSPrinter.sendGCode('@runButtonCommand homeAll')" ng-disabled="!idle || !active.state.canMove"><i class="fa fa-home rs-bigtab" title="<?php _('Home All') ?>"></i>
</label>
<label class="btn btn-default nopadrl" ng-show="activeConfig.movement.xEndstop" ng-click="RSPrinter.sendGCode('@runButtonCommand homeX')" ng-disabled="!idle || !active.state.canMove"><i class="fa fa-home rs-bigtab" title="<?php _('Home') ?> X"></i>
<strong>X</strong></label>
<label class="btn btn-default nopadrl" ng-show="activeConfig.movement.yEndstop" ng-click="RSPrinter.sendGCode('@runButtonCommand homeY')" ng-disabled="!idle || !active.state.canMove"><i class="fa fa-home rs-bigtab" title="<?php _('Home') ?> Y"></i>
<strong>Y</strong></label>
<label class="btn btn-default nopadrl" ng-show="activeConfig.movement.zEndstop" ng-click="RSPrinter.sendGCode('@runButtonCommand homeZ')" ng-disabled="!idle || !active.state.canMove"><i class="fa fa-home rs-bigtab" title="<?php _('Home') ?> Z"></i>
<strong>Z</strong></label>
</div>
<div ng-if="user.printPermission" class="btn-group btn-group-justified clearfix margin-bottom hide-control-wrapped d-block" style="margin-top: 10px;widthx:55px;">
<label class="btn btn-default" style="border-bottom-left-radius: 4px; border-top-left-radius: 4px" ng-click="RSPrinter.motorsOff()" ng-disabled="printing" title="<?php _('Motors off') ?>"><i class="rs rs-motor-off"></i></label>
<label class="btn btn-default nopadrl" ng-show="activeConfig.movement.autolevel" ng-click="RSPrinter.autolevel()" ng-disabled="!idle || !active.state.canMove"><i class="rs rs-autolevel rs-bigtab"></i></label>
<label class="btn btn-default" ng-if="activeConfig.general.softwareLight" ng-click="RSPrinter.toggleCaseLights()" title="<?php _('Toggle Lights') ?>"><i class="rs rs-light"></i></label>
<label ng-if="user.printPermission" class="btn btn-default" ng-click="goFilamentchange()" title="<?php _('Change Filament') ?>"><i class="rs rs-filamentchange rs-bigtab"></i></label>
</div>
<uib-accordion close-others="0">
<div uib-accordion-group ng-show="printing || (webcam.comp.hasWebcam && update.free)" ng-class="{'panel-default':!active.status.paused,'panel-danger':active.status.paused}" is-open="local.openControl.printJob">
<uib-accordion-heading>
<div class="clickable"><i ng-class="active.status.paused ? 'fa fa-pause' : 'rs rs-print'"></i>
<span ng-if="printing"><?php _('Print Job') ?></span><span ng-if="!printing"><?php _('Webcam') ?></span>
<div ng-if="update.free && !webcam.comp.showWebcam && webcam.comp.hasWebcam && printing" ng-click="webcam.comp.setShowWebcam(true,$event)" style="width:40px; margin: -5px 10px" class="btn btn-sm" ng-class="{'btn-default':!active.status.paused,'btn-danger':active.status.paused}">
<i class="rs rs-webcam"></i></div>
<div ng-if="update.free && webcam.comp.showWebcam && (webcam.comp.hasWebcam && update.free) && printing" ng-click="webcam.comp.setShowWebcam(false,$event)" style="width:40px; margin: -5px 10px" class="btn btn-sm" ng-class="{'btn-default':!active.status.paused,'btn-danger':active.status.paused}">
<i class="fa fa-image"></i></div>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.printJob, 'glyphicon-chevron-right': !local.openControl.printJob}"></i>
</div>
</uib-accordion-heading>
<rs-sidebar-webcam webcam="webcam" printing="printing" visible="local.openControl.printJob"></rs-sidebar-webcam>
</div>
<div uib-accordion-group class="panel-default" is-open="local.openControl.temperatures" ng-if="active.state.extruder.length>0 || activeConfig.heatedBeds.length>0 || activeConfig.heatedChambers.length>0">
<uib-accordion-heading>
<div class="clickable"><i class="rs rs-temperature"></i> <?php _('Temperatures') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.temperatures, 'glyphicon-chevron-right': !local.openControl.temperatures}"></i>
</div>
</uib-accordion-heading>
<rs-sidebar-temperatures></rs-sidebar-temperatures>
</div>
<div uib-accordion-group class="panel-default" ng-if="idle && active.state.extruder.length>0 && user.printPermission" is-open="local.openControl.controlExtruder">
<uib-accordion-heading>
<div class="clickable">
<i class="rs rs-extruder"></i> <?php _('Extrude') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.controlExtruder, 'glyphicon-chevron-right': !local.openControl.controlExtruder}"></i>
</div>
</uib-accordion-heading>
<rs-sidebar-extrude></rs-sidebar-extrude>
</div>
<div uib-accordion-group class="panel-default" is-open="local.openControl.controlMove" ng-if="idle && user.printPermission">
<uib-accordion-heading>
<div class="clickable">
<i class="fa fa-arrows"></i> <?php _('Move') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.controlMove, 'glyphicon-chevron-right': !local.openControl.controlMove}"></i>
</div>
</uib-accordion-heading>
<rs-sidebar-move data="printerData"></rs-sidebar-move>
</div>
<div ng-if="!$root.activeConfig.isZBelt && user.printPermission && (active.caps.excludeRectRegion || active.caps.excludeNamedRegion)" uib-accordion-group class="panel-default" is-open="showExcludeRegion">
<uib-accordion-heading>
<div class="clickable"><i class="rs rs-killregion"></i> <?php _('Exclude G-Codes') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': showExcludeRegion, 'glyphicon-chevron-right': !showExcludeRegion}"></i>
</div>
</uib-accordion-heading>
<div ng-if="!update.free" class="alert alert-warning margin-top"><?php _('This feature requires the Pro version!') ?>
</div>
<div ng-if="active.caps.excludeRectRegion">
<p ng-if="RSPrinter.excludeRegions.length==0"><?php _('You can add rectangular regions, where nothing gets printed, for example because there is an error in the printed object, but other objects are still ok. Regions get deleted at the end of the print!') ?></p>
<div class="list-group list-no-border">
<div class="list-group-item" ng-repeat="ex in RSPrinter.excludeRegions track by $index" ng-style="{color:excludeColors[$index % 10]}" style="font-weight:bold">
X: {{ex.xmin | number:0}}..{{ex.xmax | number:0}} Y: {{ex.ymin | number:0}}..{{ex.ymax | number:0}}
<div class="btn btn-danger btn-xs pull-right" ng-click="delExcludeRegion($index)">
<i class="fa fa-trash-o"></i></div>
</div>
</div>
<div ng-disabled="!update.free" class="btn btn-primary" ng-click="addExcludeRegion()">
<i class="rs-big fa fa-plus"></i> <?php _('Add Region') ?></div>
</div>
</div>
</uib-accordion>
</div>
</div>
</div>
<div class="margin-top"><br></div>
</div>
