<div class="tab-pane active" id="panelEeprom">
<div ng-if="user.showFeature('printer-eeprom')">
<h3><i class="rs rs-eeprom-settings"></i> <?php _('EEPROM Settings') ?></h3>
<div class="row">
<div class="col-xs-12" style="text-align: right">
<div class="margin-top" style="display: inline-block">
<button type="button" class="btn btn-primary" ng-disabled="hasErrors" ng-click="RSPrinter.saveEeprom()"><i class="fa fa-save rs-bigtab"></i> <?php _('Save') ?></button>
</div>
<div class="margin-top" style="display: inline-block">
<button class="btn btn-success" style="margin-left:10px" ng-click="RSPrinter.exportEEPROM()">
<i class="fa fa-download rs-bigtab"></i> <?php _('Export EEPROM Data') ?>
</button>
</div>
<div class="margin-top" style="display: inline-block">
<form enctype="multipart/form-data" method="post" action="{{'/printer/eeprom/'+activeSlug}}" id="formuploadeeprom" class="form-inline" style="margin-left:10px">
<input type="hidden" name="a" value="import">
<span class="btn btn-success btn-file" ng-disabled="uploading">
<i class="fa fa-upload rs-bigtab"></i> <span ng-hide="uploading"><?php _('Import EEPROM Data') ?></span><span ng-show="uploading"><?php _('Uploading ...') ?></span>
<input type="file" name="filename" id="eepromFilenameUpload">
</span>
</form>
</div>
</div>
</div>
<div class="modal-body margin-top" style="overflow:auto;">
<form class="form-horizontal units" name="eepromForm">
<div class="row">
<div class="form-group col-lg-6 col-xs-12" ng-repeat="e in RSPrinter.eepromData track by $index">
<label class="col-sm-6 col-lg-7 col-xs-12 control-label">{{RSPrinter.eepromDescription(e.text)}}</label>
<div class="col-lg-5 col-sm-6 col-xs-12">
<div class="input-group" ng-class="[e.class]">
<input type="text" class="form-control" ng-model="e.value" ng-change="RSPrinter.updateEepromErrors()">
<div class="input-group-addon" ng-bind="RSPrinter.eepromUnits(e.text)"></div>
</div>
</div>
</div>
</div>
</form>
</div>
<div class="row margin-top">
<div class="col-xs-12">
<button type="button" class="btn btn-primary pull-right" ng-disabled="hasErrors" ng-click="RSPrinter.saveEeprom()"><i class="fa fa-save rs-bigtab"></i> <?php _('Save') ?></button>
</div>
</div>
</div>
</div>
<br>
