<div class="tab-pane active" id="panelConsole">
<div class="row clearfix" ng-show="user.printPermission">
<div class="col-xs-12 col-md-8 margin-top">
<filamentchange></filamentchange>
</div>
<div class="col-md-4 visible-md-block visible-lg-block margin-top">
<uib-accordion close-others="0">
<div ng-show="!active.status.online" style="height: 20px"></div>
<div uib-accordion-group ng-show="printing || (webcam.comp.hasWebcam && update.free)" ng-class="{'panel-default':!active.status.paused,'panel-danger':active.status.paused}" is-open="local.openControl.printJob">
<uib-accordion-heading>
<div class="clickable"><i ng-class="active.status.paused ? 'fa fa-pause' : 'rs rs-print'"></i>
<span ng-if="printing"><?php _('Print Job') ?></span><span ng-if="!printing"><?php _('Webcam') ?></span>
<div ng-if="update.free && !webcam.comp.showWebcam && webcam.comp.hasWebcam && printing" ng-click="webcam.comp.setShowWebcam(true,$event)" style="width:40px; margin: -5px 10px" class="btn btn-sm" ng-class="{'btn-default':!active.status.paused,'btn-danger':active.status.paused}">
<i class="rs rs-webcam"></i></div>
<div ng-if="update.free && webcam.comp.showWebcam && (webcam.comp.hasWebcam && update.free) && printing" ng-click="webcam.comp.setShowWebcam(false,$event)" style="width:40px; margin: -5px 10px" class="btn btn-sm" ng-class="{'btn-default':!active.status.paused,'btn-danger':active.status.paused}">
<i class="fa fa-image"></i></div>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.printJob, 'glyphicon-chevron-right': !local.openControl.printJob}"></i>
</div>
</uib-accordion-heading>
<rs-sidebar-webcam webcam="webcam" printing="printing" visible="local.openControl.printJob"></rs-sidebar-webcam>
</div>
<div uib-accordion-group class="panel-default" is-open="local.openControl.temperatures" ng-if="active.status.online && (active.state.extruder.length>0 || activeConfig.heatedBeds.length>0 || activeConfig.heatedChambers.length>0)">
<uib-accordion-heading>
<div class="clickable"><i class="rs rs-temperature"></i> <?php _('Temperatures') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.temperatures, 'glyphicon-chevron-right': !local.openControl.temperatures}"></i>
</div>
</uib-accordion-heading>
<rs-sidebar-temperatures></rs-sidebar-temperatures>
</div>
<div uib-accordion-group class="panel-default" ng-if="idle && active.state.extruder.length>0 && user.printPermission && active.status.online" is-open="local.openControl.controlExtruder">
<uib-accordion-heading>
<div class="clickable">
<i class="rs rs-extruder"></i> <?php _('Extrude') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.controlExtruder, 'glyphicon-chevron-right': !local.openControl.controlExtruder}"></i>
</div>
</uib-accordion-heading>
<form role="form">
<div class="row">
<div class="col-xs-3">
<button class="btn btn-default btn-block" ng-click="RSPrinter.eMoveRel(extrudeDistance, retractSpeed)">
<i class="fa fa-arrow-down rs-big"></i></button>
</div>
<div class="col-xs-6">
<div class="input-group">
<input type="number" ng-model="retractSpeed" class="form-control" required min="0.1" step="any">
<div class="input-group-addon" style="padding-left: 6px;padding-right: 6px;">
mm/s
</div>
</div>
</div>
<div class="col-xs-3">
<button class="btn btn-default btn-block" ng-click="RSPrinter.eMoveRel(-extrudeDistance, retractSpeed)">
<i class="fa fa-arrow-up rs-big"></i></button>
</div>
</div>
<div class="row margin-top">
<div class="col-xs-3">
<button class="btn btn-default btn-block" ng-click="RSPrinter.eMoveRel(extrudeDistance, extrudeSpeed)">
<i class="fa fa-arrow-down rs-big"></i></button>
</div>
<div class="col-xs-6">
<div class="input-group">
<input type="number" ng-model="extrudeSpeed" class="form-control" required min="1" step="any">
<div class="input-group-addon" style="padding-left: 6px;padding-right: 6px;">
mm/s
</div>
</div>
</div>
<div class="col-xs-3">
<button class="btn btn-default btn-block" ng-click="RSPrinter.eMoveRel(-extrudeDistance, extrudeSpeed)">
<i class="fa fa-arrow-up rs-big"></i></button>
</div>
</div>
<div class="row margin-top">
<div class="col-xs-12">
<i class="fa fa-arrow-down rs-big"></i> = <?php _('Extrude') ?>
<i class="fa fa-arrow-up rs-big"></i>
= <?php _('Retract') ?>
</div>
</div>
</form>
<div class="clearfix"></div>
<div class="margin-top"><?php _('Distance') ?> [mm]</div>
<div class="btn-group margin-top btn-group-justified">
<label class="btn btn-default" ng-model="extrudeDistance" uib-btn-radio="0.1">0.1</label>
<label class="btn btn-default" ng-model="extrudeDistance" uib-btn-radio="1">1</label>
<label class="btn btn-default" ng-model="extrudeDistance" uib-btn-radio="10">10</label>
<label class="btn btn-default" ng-model="extrudeDistance" uib-btn-radio="50">50</label>
<label class="btn btn-default" ng-model="extrudeDistance" uib-btn-radio="100">100</label>
</div>
</div>
<div uib-accordion-group class="panel-default" is-open="local.openControl.controlMove" ng-if="active.status.online && idle && user.printPermission">
<uib-accordion-heading>
<div class="clickable">
<i class="fa fa-arrows"></i> <?php _('Move') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.controlMove, 'glyphicon-chevron-right': !local.openControl.controlMove}"></i>
</div>
</uib-accordion-heading>
<div class="row">
<div class="col-xs-4">
X: {{moveToXPos | number:2}}
</div>
<div class="col-xs-4">
Y: {{moveToYPos | number:2}}
</div>
<div class="col-xs-4">
Z: {{moveToZPos | number:2}}
</div>
</div>
<div class="margin-top">
<div style="text-align: center;float:left;margin-right:30px">
<div>
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.yMoveRel(moveDistance)">
<i class="fa fa-arrow-up rs-big"></i></button>
</div>
<div class="margin-top">
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.xMoveRel(-moveDistance)">
<i class="fa fa-arrow-left rs-big"></i></button>
<span style="display: inline-block;width:60px">X/Y</span>
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.xMoveRel(moveDistance)">
<i class="fa fa-arrow-right rs-big"></i></button>
</div>
<div class="margin-top">
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.yMoveRel(-moveDistance)">
<i class="fa fa-arrow-down rs-big"></i></button>
</div>
</div>
<div style="text-align: center;float:left">
<div>
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.zMoveRel(moveDistance)">
<i class="fa fa-arrow-up rs-big"></i></button>
</div>
<div class="margin-top">
<span style="display: inline-block;width: 60px;height: 34px;vertical-align: middle;line-height: 34px;">Z</span>
</div>
<div class="margin-top">
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.zMoveRel(-moveDistance)">
<i class="fa fa-arrow-down rs-big"></i></button>
</div>
</div>
<div style="text-align: center;float:left;margin-left:30px">
<div>
<button class="btn btn-default btn-block" ng-disabled="!active.state.canMove" ng-click="$root.RSPrinter.sendGCode('@runButtonCommand homeAll')">
<i class="fa fa-home rs-big"></i></button>
</div>
<div class="margin-top">
<button class="btn btn-default btn-block" ng-click="$root.RSPrinter.motorsOff()">
<i class="rs rs-motor-off rs-big"></i></button>
</div>
<div class="margin-top" ng-if="activeConfig.movement.autolevel">
<button class="btn btn-default btn-block" ng-show="activeConfig.movement.autolevel" ng-click="RSPrinter.autolevel()" ng-disabled="printing">
<i class="rs rs-autolevel"></i></button>
</div>
<div class="margin-top" ng-if="activeConfig.general.softwareLight && !activeConfig.movement.autolevel">
<button class="btn btn-default btn-block" ng-click="$root.RSPrinter.toggleCaseLights()">
<i class="rs rs-light rs-big"></i></button>
</div>
</div>
</div>
<div class="clearfix"></div>
<div class="btn-group margin-top btn-group-justified">
<label class="btn btn-default nopadrl" ng-model="moveDistance" uib-btn-radio="0.01">0.01</label>
<label class="btn btn-default nopadrl" ng-model="moveDistance" uib-btn-radio="0.1">0.1</label>
<label class="btn btn-default" ng-model="moveDistance" uib-btn-radio="1">1</label>
<label class="btn btn-default" ng-model="moveDistance" uib-btn-radio="10">10</label>
<label class="btn btn-default" ng-model="moveDistance" uib-btn-radio="50">50</label>
<label class="btn btn-default nopadrl" ng-model="moveDistance" uib-btn-radio="100">100</label>
</div>
</div>
</uib-accordion>
</div>
</div>
</div>
