<div ng-if="user.showFeature('heightmap-klipper')">
<div id="control-top" class="margin-top">
<div id="control-left" style="overflow: hidden;">
<div class="panel panel-default margin-top">
<div class="panel-heading">
<i class="fa fa-th"></i> <?php _('Heightmap') ?>
<div class="pull-right">
<div class="btn btn-primary btn-sm" style="margin-top: -6px;" ng-click="saveConfig()" ng-if="kp.configfile.save_config_pending">
<i class="fa fa-save"></i> <?php _('Save Config') ?>
</div>
</div>
</div>
<div class="panel-body">
<div style="height: calc(100vh - 300px);width:100%;position:relative;" ng-if="actProfile">
<echart value="option"></echart>
</div>
<div ng-if="!actProfile">
<?php _('No profile selected') ?>
</div>
</div>
</div>
</div>
<div id="control-right">
<div class="row margin-bottom">
<div class="col-xs-8">
<div class="btn btn-primary btn-block" ng-click="calibrate()">
<i class="fa fa-th"></i> <?php _('Calibrate') ?></div>
</div>
<div class="col-xs-4">
<div class="btn btn-default btn-block" ng-click="home()">
<i class="fa fa-home"></i> <?php _('Home') ?></div>
</div>
</div>
<uib-accordion close-others="0" ng-if="actProfile">
<div uib-accordion-group is-open="panels.current">
<uib-accordion-heading><i class="fa fa-info-circle"></i> <?php _('Current Profile') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': panels.current, 'glyphicon-chevron-right': !panels.current}"></i>
</uib-accordion-heading>
<div class="list-group list-no-border condensed" style="margin-bottom: 0">
<a href="#" class="list-group-item" ng-click="rename()">
<i class="pull-right fa fa-edit"></i>
<h4 class="list-group-item-heading"><?php _('Name') ?></h4>
<p class="list-group-item-text">{{actProfile.name}}</p>
</a>
<a href="#" class="list-group-item">
<h4 class="list-group-item-heading"><?php _('Grid Size') ?></h4>
<p class="list-group-item-text">{{actProfile.mesh_params.x_count}} x {{actProfile.mesh_params.y_count}}</p>
</a>
<a href="#" class="list-group-item">
<h4 class="list-group-item-heading"><?php _('XY Range') ?></h4>
<p class="list-group-item-text">X:{{actProfile.mesh_params.min_x}} ... {{actProfile.mesh_params.max_x}}, Y: {{actProfile.mesh_params.min_x}} ... {{actProfile.mesh_params.max_x}}</p>
</a>
<a href="#" class="list-group-item">
<h4 class="list-group-item-heading"><?php _('Min. Z') ?></h4>
<p class="list-group-item-text">[ {{extra.z_min_x}} | {{extra.z_min_y}} ]: {{extra.z_min}}</p>
</a>
<a href="#" class="list-group-item">
<h4 class="list-group-item-heading"><?php _('Max. Z') ?></h4>
<p class="list-group-item-text">[ {{extra.z_max_x}} | {{extra.z_max_y}} ]: {{extra.z_max}}</p>
</a>
<a href="#" class="list-group-item">
<h4 class="list-group-item-heading"><?php _('Z Range') ?></h4>
<p class="list-group-item-text">{{extra.z_min}} ... {{extra.z_max}}</p>
</a>
</div>
</div>
</uib-accordion>
<uib-accordion close-others="0" ng-if="profiles.length">
<div uib-accordion-group is-open="panels.profiles">
<uib-accordion-heading><i class="fa fa-stack-overflow"></i> <?php _('Profiles') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': panels.profiles, 'glyphicon-chevron-right': !panels.profiles}"></i>
</uib-accordion-heading>
<div class="list-group list-no-border" style="margin-bottom: 0">
<div class="list-group-item pointer" ng-class="{active:p==actProfile}" ng-repeat="p in profiles track by $index" ng-click="loadMesh($index)">
{{p.name}}<span ng-if="kp.configfile.save_config_pending_items['bed_mesh ' + p.name]"> *</span>
<div class="btn btn-danger btn-xs pull-right" ng-click="delProfile($index)">
<i class="fa fa-trash-o"></i></div>
</div>
</div>
<div class="btn btn-primary btn-block btn-full margin-top" ng-click="clearBed()">
<i class="fa fa-eraser"></i> <?php _('Clear Bed') ?></div>
<small>*) <?php _('Unsaved Profile') ?></small>
</div>
</uib-accordion>
<uib-accordion close-others="0">
<div uib-accordion-group is-open="panels.options">
<uib-accordion-heading><i class="fa fa-gear"></i> View Options
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': panels.options, 'glyphicon-chevron-right': !panels.options}"></i>
</uib-accordion-heading>
<div>
<switch class="small" ng-model="switches.probed" changed="activate(actIndex)"></switch>
<?php _('Probed') ?>
</div>
<div class="margin-top">
<switch class="small" ng-model="switches.mesh" changed="activate(actIndex)"></switch>
<?php _('Mesh') ?>
</div>
<div class="margin-top">
<switch class="small" ng-model="switches.wireframe" changed="activate(actIndex)"></switch>
<?php _('Wireframe') ?>
</div>
<div class="margin-top">
<switch class="small" ng-model="switches.reference" ng-true-value="true" ng-false-value="false" changed="activate(actIndex)"></switch>
<?php _('Reference Plane') ?>
</div>
<div class="margin-top text-center rsslider">
<?php _('Scale Z') ?><br>
<rzslider class="rsslider" rz-slider-model="switches.zoom" rz-slider-options="zoomSliderOptions"></rzslider>
</div>
</div>
</uib-accordion>
<uib-accordion close-others="0" ng-show="(webcam.comp.hasWebcam && update.free)">
<div uib-accordion-group is-open="panels.webcam">
<uib-accordion-heading>
<div class="clickable"><i class="rs rs-webcam"></i>
<?php _('Webcam') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': panels.webcam, 'glyphicon-chevron-right': !panels.webcam}"></i>
</div>
</uib-accordion-heading>
<rs-sidebar-webcam webcam="webcam" visible="panels.webcam"></rs-sidebar-webcam>
</div>
</uib-accordion>
</div>
</div>
</div>
