<div class="tab-pane active" id="panel3" xmlns="http://www.w3.org/1999/html">
<div class="alert alert-info margin-top" ng-show="preparing"><?php _('Preparing new job') ?></div>
<div ng-hide="selectSFile">
<div ng-if="false" style="display: flex;gap: 10px" class="margin-top">
<form enctype="multipart/form-data" style="flex: 1 1 50%" method="post" action="{{'/printer/job/'+activeSlug}}" id="formuploadquick" class="form-inline" ng-if="user.printPermission && (activeConfig.general.enableQueue || !active.state.isJobActive)">
<input type="hidden" name="a" value="upload">
<input type="hidden" name="name" value="" id="quickUploadName">
<div class="btn-group btn-block" rs-dropdown dropdown-append-to-body is-open="$parent.menuDirect">
<span class="btn btn-primary col-sm-11 btn-file" ng-disabled="uploading">
<rs-icon class="fa fa-upload" style="font-size: 16px;line-height: 16px;"></rs-icon>
<span ng-hide="uploading"><?php _('Direct Print') ?></span>
<span ng-show="uploading"><?php _('Uploading ...') ?> {{uploadProgress}}%</span>
<input type="file" name="filename" id="quickFilenameUpload" multiple="multiple" onchange="quickuploadHandler()">
</span>
<button type="button" class="btn btn-primary col-sm-1" rs-dropdown-toggle aria-haspopup="true" aria-expanded="false">
<span class="caret"></span>
</button>
<ul rs-dropdown-menu class="dropdown-menu-right" style="margin-right: 20px">
<li ng-click="$event.stopPropagation()">
<div style="padding:2px 0 2px 20px">
<div class="input-group">
<span class="input-group-addon"><?php _('URL') ?></span>
<input type="text" class="form-control" placeholder="http://" ng-model="in.openUrl" prevent-enter-submit>
<span class="input-group-btn" ng-hide="active.state.isJobActive || active.state.condition!==1">
<div ng-disabled="!importUrlValid" ng-click="closeDirect();importLink(true, true)" class="btn btn-primary">
<i class="rs rs-print"></i>
<?php _('Print') ?>
</div>
</span>
<span class="input-group-btn">
<div ng-if="activeConfig.general.enableQueue" ng-disabled="!importUrlValid" ng-click="closeDirect();importLink(true, false)" class="btn btn-primary">
<i class="rs rs-queue"></i>
<?php _('Queue G-Code') ?>
</div>
</span>
</div>
</div>
</li>
<li role="separator" class="divider"></li>
<li ng-if="dbox.hasDropbox">
<a href="javascript:void(0)" ng-click="closeDirect();dropbox(true)"><i class="fa fa-dropbox rs-bigtab"></i>
Dropbox</a></li>
<li role="separator" class="divider"></li>
<li ng-repeat="f in folders">
<a href="javascript:void(0)" ng-click="closeDirect();importPath(f,true)"><i class="fa fa-folder-o rs-bigtab"></i>{{f.name}}</a>
</li>
</ul>
</div>
</form>
<div ng-if="recentPrints.length" class="btn btn-primary btn-block" style="flex: 1 1 50%" rs-dropdown dropdown-append-to-body rs-dropdown-toggle is-open="$parent.$parent.menuReprint">
<?php _('Last Prints') ?><span class="caret"></span>
<ul rs-dropdown-menu style="left:15px;right:15px">
<li ng-click="$event.stopPropagation()">
<div style="padding:2px 20px 10px 20px">
<table class="table table-bordered2 table-condensed table-striped table-hover nowrap vmiddle">
<thead>
<tr>
<th style="border-bottom: 0; width:60px"></th>
<th style="border-bottom: 0;"><?php _('Filename') ?></th>
<th class="visible-md visible-lg" style="border-bottom: 0;"><?php _('Time') ?></th>
<th style="border-bottom: 0;" class="hidden-xs hidden-sm"><?php _('Size') ?></th>
<th style="border-bottom: 0;" ng-if="user.delPermission"></th>
</tr>
</thead>
<tbody>
<tr ng-repeat="f in recentPrints track by $index">
<td>
<button ng-show="!active.status.jobstate && user.printPermission && active.state.condition===1" type="button" ng-click="printRecent(f)" class="margin-right btn btn-primary btn-xs" title="<?php _('Print') ?>">
<i class="rs rs-print"></i>
</button>
<button ng-show="user.printPermission" type="button" ng-click="queueRecent(f)" class="margin-right btn btn-primary btn-xs" title="<?php _('Queue G-Code') ?>">
<i class="rs rs-queue"></i>
</button>
<button ng-show="user.addPermission" type="button" ng-click="copyRecent(f)" class="btn btn-primary btn-xs" title="<?php _('Copy to Group') ?>">
<i class="fa fa-files-o"></i>
</button>
</td>
<td>{{f.name}}</td>
<td class="visible-md visible-lg">{{(f.time*1000) | date:'short'}}</td>
<td class="hidden-xs hidden-sm">{{f.size | byte}}</td>
<td ng-if="user.delPermission">
<div type="button" ng-click="deleteRecent(f)" title="<?php _('Delete G-Code') ?>" class="margin-left btn text-danger btn-xs">
<i class="fa fa-trash-o" style="font-size:1.2em"></i>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</div>
</div>
<div ng-if="false" class="alert alert-info margin-top" ng-show="preparePrint"><?php _('Preparing Print ...') ?></div>
<rs-print-status></rs-print-status>
<div class="alert alert-info margin-top" ng-if="active.status.jobstate==='killing'">
<i class="fa fa-info-circle"></i> <?php _('Aborting print ... Please be patient') ?>
</div>
<printer-files-browser group="queues"></printer-files-browser>
<printer-files-browser group="models"></printer-files-browser>
<uib-accordion class="panel-body-no-padding" ng-if="false" ng-show="active.queue.length>0 && activeConfig.general.enableQueue">
<div uib-accordion-group style="padding: 0px" class="margin-top panel panel-default" is-open="active.local.queueExpanded">
<uib-accordion-heading>
<div class="clickable">
<i class="rs rs-queue"></i> <?php _('Print Queue') ?>
<div class="pull-right" style="display: inline-flex">
<span ng-if="(printerConfig[activeSlug].general.automaticBedClearing || printerConfig[activeSlug].shape.basicShape.shape === 'zbelt') && active.state.isJobActive && user.printPermission" class="hidden-xs">
<div style="display: flex; align-items: center; font-size: 14px">
<?php _('Autostart next job') ?>
<div class="margin-left margin-right" style="margin-top: -4px" ng-click="prevent($event)">
<switch class="small" ng-model="active.state.autostartNextPrint" changed="toggleAutostartZbelt()"></switch>
</div>
</div>
</span>
<i class="glyphicon" ng-class="{'glyphicon-chevron-down': active.local.queueExpanded, 'glyphicon-chevron-right': !active.local.queueExpanded}"></i>
</div>
</div>
</uib-accordion-heading>
<span ng-if="(printerConfig[activeSlug].general.automaticBedClearing || printerConfig[activeSlug].shape.basicShape.shape === 'zbelt') && active.state.isJobActive && user.printPermission" class="visible-xs margin-bottom">
<div style="display: flex">
<?php _('Autostart next job') ?>
<div class="margin-left margin-right" ng-click="prevent($event)">
<switch class="small" ng-model="active.state.autostartNextPrint" changed="toggleAutostartZbelt()"></switch>
</div>
</div>
</span>
<div class="table-responsive" style="padding: 0">
<table class="table table-bordered2 table-condensed table-striped table-hover nowrap vmiddle">
<thead>
<tr>
<th style="border-bottom: 0; width:30px"></th>
<th style="border-bottom: 0;"><?php _('Filename') ?></th>
<th style="border-bottom: 0;" class="" ng-if="user.showFeature('change-print-count')"><?php _('Count') ?></th>
<th style="border-bottom: 0;" class="visible-md visible-lg"><?php _('Added') ?></th>
<th style="border-bottom: 0;" class="hidden-xs hidden-sm"><?php _('Size') ?></th>
<th style="border-bottom: 0;" class="visible-md visible-lg"><?php _('Lines') ?></th>
<th style="border-bottom: 0;"><?php _('Time') ?></th>
<th style="border-bottom: 0;" class="hidden-xs hidden-sm"><?php _('Filament') ?></th>
<th style="border-bottom: 0;" class="hidden-xs hidden-sm"><?php _('Layer') ?></th>
<th style="width:35px; border-bottom: 0;"></th>
</tr>
</thead>
<tbody dnd-list="queueNotActive()" dnd-type="tr" style="cursor:move">
<tr class="dndPlaceholder">
<td colspan="10">&nbsp;</td>
</tr>
<tr ng-repeat="f in queueActive() track by $index">
<td>
<i class="margin-left fa fa-spinner fa-spin"></i>
</td>
<td style="white-space: normal;">{{f.name}}</td>
<td ng-if="user.showFeature('change-print-count')">
<button ng-if="user.printPermission" ng-click="setQueueRepeat(f, f.repeat-1)" class="btn btn-default btn-xs">
<i class="fa fa-minus"></i></button>
<rs-in-place-number ng-if="user.printPermission" min="1" precision="0" class="margin-left edit-in-place edit-in-place-string" value="f.repeat" changed="setQueueRepeat(f, f.repeat)"></rs-in-place-number>
<span ng-if="!user.printPermission">{{f.repeat}}</span>
<button ng-if="user.printPermission" ng-click="setQueueRepeat(f, f.repeat+1)" class="margin-left btn btn-default btn-xs">
<i class="fa fa-plus"></i></button>
</td>
<td class="visible-md visible-lg">{{f.created | date:'short'}}</td>
<td class="hidden-xs hidden-sm">{{f.length | byte}}</td>
<td class="visible-md visible-lg">{{f.lines}}</td>
<td>{{f.printTimeBest | dhms}}</td>
<td class="hidden-xs hidden-sm">{{f.filamentTotal | number:0}} mm</td>
<td class="hidden-xs hidden-sm">{{f.layer}}</td>
<td class="text-center">
</td>
</tr>
<tr ng-repeat="f in queueNotActive()" dnd-draggable="f" dnd-moved="user.printPermission && queueOrderMoved($index)" dnd-effect-allowed="move" dnd-dragstart="user.printPermission && onQueueDragStart(event)" dnd-dragend="user.printPermission && onQueueDragEnd(event)">
<td>
<button ng-show="!active.status.jobstate && user.printPermission && active.state.condition===1" type="button" ng-click="printQueue(f)" class="margin-left btn btn-primary btn-xs" title="<?php _('Print') ?>">
<i class="rs rs-print"></i>
</button>
</td>
<td style="white-space: normal;">{{f.name}}</td>
<td class="" ng-if="user.showFeature('change-print-count')">
<button ng-if="user.printPermission" ng-click="setQueueRepeat(f, f.repeat-1)" class="btn btn-default btn-xs">
<i class="fa fa-minus"></i></button>
<rs-in-place-number ng-if="user.printPermission" min="1" precision="0" class="margin-left edit-in-place edit-in-place-string" value="f.repeat" changed="setQueueRepeat(f, f.repeat)"></rs-in-place-number>
<span ng-if="!user.printPermission">{{f.repeat}}</span>
<button ng-if="user.printPermission" ng-click="setQueueRepeat(f, f.repeat+1)" class="margin-left btn btn-default btn-xs">
<i class="fa fa-plus"></i></button>
</td>
<td class="visible-md visible-lg">{{f.created | date:'short'}}</td>
<td class="hidden-xs hidden-sm">{{f.length | byte}}</td>
<td class="visible-md visible-lg">{{f.lines}}</td>
<td>{{f.printTimeBest | dhms}}</td>
<td class="hidden-xs hidden-sm">{{f.filamentTotal | number:0}} mm</td>
<td class="hidden-xs hidden-sm">{{f.layer}}</td>
<td class="text-center">
<div ng-hide="f.id==active.status.jobid || !user.printPermission" type="button" ng-click="dequeQueue(f)" class="margin-right btn text-danger btn-xs pull-right" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o" style="font-size:1.2em"></i>
</div>
</td>
</tr>
</tbody>
<tfoot ng-if="active.queue.length>0">
<tr>
<th colspan="3">
<span class="margin-left" style="display: flex; flex-direction: row">
<?php _('Total') ?>
<span style="display: flex; align-content: center; justify-content: center; flex: 1">
<span ng-if="active.state.autostartNextPrint && (printerConfig[activeSlug].general.automaticBedClearing || printerConfig[activeSlug].shape.basicShape.shape === 'zbelt') && active.state.isJobActive">
<?php _('ETA:') ?> {{(stateTime + 1000 * ((active.queueTime - active.status.printedTimeComp) / ((active.state.speedMultiply)/100))) | date:'short'}}
</span>
</span>
</span>
</th>
<th class="visible-md visible-lg"></th>
<td class="hidden-xs hidden-sm"></td>
<th class="visible-md visible-lg">{{active.queueLines}}</th>
<th>{{active.queueTime | dhms}}</th>
<th class="hidden-xs hidden-sm">{{active.queueFilament | number:0}} mm</th>
<td class="hidden-xs hidden-sm"></td>
<td class="text-center">
</td>
</tr>
</tfoot>
</table>
</div>
</div>
</uib-accordion>
<div ng-if="false" class="margin-top panel panel-default panel-group-reduced">
<div class="panel-heading clearfix">
<div class="row">
<div class="col-xs-12 col-sm-6">
<select class="form-control" ng-model="globals.gcodeView.group" ng-options="g.id as g.name for g in groups" ng-change="selectGroup()"></select>
</div>
<div class="col-xs-12 col-sm-2 margin-top-xs">
<div class="input-group">
<input type="text" class="form-control" ng-model="globals.gcodeView.filter" ng-change="updateFilter()" placeholder="<?php _('Search...') ?>">
<span class="input-group-addon">
<i class="fa fa-search"></i>
</span>
</div>
</div>
<div class="col-xs-12 col-sm-4 margin-top-xs" style="text-align: right">
<div class="btn-group" style="text-align: right;">
<label class="btn btn-default" ng-model="globals.gcodeView.viewMode" uib-btn-radio="0" ng-change="updateViewMode()"><i class="fa fa-align-justify rs-big"></i></label>
<label class="btn btn-default" ng-model="globals.gcodeView.viewMode" uib-btn-radio="1" ng-change="updateViewMode()"><i class="fa fa-th-list rs-big"></i></label>
<label class="btn btn-default" ng-model="globals.gcodeView.viewMode" uib-btn-radio="2" ng-change="updateViewMode()"><i class="fa fa-th rs-big"></i></label>
<label class="btn btn-default" ng-model="globals.gcodeView.viewMode" uib-btn-radio="3" ng-change="updateViewMode()"><i class="fa fa-th-large rs-big"></i></label>
</div>
</div>
</div>
<div class="row margin-top">
<div class="col-xs-12 col-sm-6" ng-if="user.addPermission">
<form enctype="multipart/form-data" method="post" action="{{'/printer/model/'+activeSlug}}" id="formuploadgcode">
<input type="hidden" name="a" value="upload">
<input type="hidden" name="name" value="" id="gcodeUploadName">
<input type="hidden" name="group" value="{{globals.gcodeView.group}}">
<div class="btn-group btn-block" rs-dropdown dropdown-append-to-body is-open="$parent.menuUpload">
<span class="btn btn-primary col-sm-11 btn-file" ng-disabled="uploading">
<rs-icon icon="fa fa-upload" style="font-size: 16px;line-height: 16px;"></rs-icon>
<span ng-hide="uploading"><?php _('Upload G-Code') ?></span>
<span ng-show="uploading"><?php _('Uploading ...') ?> {{uploadProgress}}%</span>
<input type="file" name="filename" id="gcodeFilenameUpload" multiple="multiple" onchange="handleUpload()">
</span>
<button type="button" class="btn btn-primary col-sm-1" rs-dropdown-toggle aria-haspopup="true" aria-expanded="false">
<span class="caret"></span>
</button>
<ul rs-dropdown-menu>
<li ng-click="$event.stopPropagation()">
<div style="padding:2px 20px">
<div class="input-group">
<span class="input-group-addon"><?php _('URL') ?></span>
<input type="text" class="form-control" placeholder="http://" ng-model="in.openUrl" prevent-enter-submit>
<span class="input-group-btn">
<div ng-disabled="!importUrlValid" ng-click="closeUpload();importLink(false, false)" class="btn btn-primary">
<i class="fa fa-cloud-download"></i>
<?php _('Import') ?>
</div>
</span>
</div>
</div>
</li>
<li role="separator" class="divider"></li>
<li ng-if="dbox.hasDropbox">
<a href="javascript:void(0)" ng-click="closeUpload();dropbox(false)"><i class="fa fa-dropbox rs-bigtab"></i>
Dropbox</a></li>
<li role="separator" class="divider" ng-if="dbox.hasDropbox"></li>
<li ng-repeat="f in folders">
<a href="javascript:void(0)" ng-click="closeUpload();importPath(f,false)"><i class="fa fa-folder-o rs-bigtab"></i>{{f.name}}</a>
</li>
</ul>
</div>
</form>
</div>
<div class="col-xs-12 margin-top-xs col-sm-6" ng-if="user.addPermission || user.delPermission">
<div class="btn-block" rs-dropdown dropdown-append-to-body is-open="$parent.menuAction">
<button id="single-button" type="button" class="btn btn-primary btn-block" rs-dropdown-toggle ng-disabled="disabled">
<?php _('Action') ?> <span class="caret"></span>
</button>
<ul class="dropdown-menu" rs-dropdown-menu role="menu" aria-labelledby="single-button">
<li role="menuitem" ng-if="user.addPermission">
<a class="extrapad" ng-click="closeAction();addGroup()">
<rs-menu-icon icon="fa fa-plus"></rs-menu-icon>
<?php _('Add Group') ?>
</a>
</li>
<li role="menuitem" ng-if="user.addPermission">
<a class="extrapad" ng-click="closeAction();renameGroup()" ng-disabled="globals.gcodeView.group.length<2">
<rs-menu-icon icon="fa fa-plus"></rs-menu-icon>
<?php _('Rename Group') ?>
</a>
</li>
<li role="menuitem" ng-if="user.delPermission">
<a class="extrapad" ng-click="closeAction();delGroup()" ng-disabled="globals.gcodeView.group.length<2">
<rs-menu-icon icon="fa fa-trash-o fg-danger"></rs-menu-icon>
<?php _('Delete Group') ?>
</a>
</li>
<li role="menuitem" ng-if="user.delPermission">
<a class="extrapad" ng-click="closeAction();delFilesInGroup()">
<rs-menu-icon icon="fa fa-trash-o fg-danger"></rs-menu-icon> <?php _('Delete All G-Codes in Group') ?>
</a>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="panel-body table-responsive">
<div ng-if="active.models.length == 0">
<h3 class="col-xs-12"><?php _('No G-Codes stored in this Group') ?></h3>
</div>
<div ng-if="globals.gcodeView.viewMode==0" class="margin-top">
<table class="table table-bordered2 table-striped table-condensed table-hover nowrap vmiddle">
<tr class="sortable tableheader">
<th style="width: 100px"></th>
<th class="clickable" ng-click="SortBy(0)"><?php _('Filename') ?>
<i class="fa sort" ng-class="sortIcon(0)"></i>
</th>
<th class="clickable visible-md visible-lg" ng-click="SortBy(2)"><?php _('Uploaded') ?>
<i class="fa sort" ng-class="sortIcon(2)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(6)"><?php _('Size') ?>
<i class="fa sort" ng-class="sortIcon(6)"></i></th>
<th class="clickable visible-md visible-lg" ng-click="SortBy(8)"><?php _('Lines') ?>
<i class="fa sort" ng-class="sortIcon(8)"></i></th>
<th class="clickable" ng-click="SortBy(4)"><?php _('Time') ?>
<i class="fa sort" ng-class="sortIcon(4)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(10)"><?php _('Filament') ?>
<i class="fa sort" ng-class="sortIcon(10)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(12)"><?php _('Layer') ?>
<i class="fa sort" ng-class="sortIcon(12)"></i></th>
<th ng-if="user.delPermission" style="width:35px"></th>
</tr>
<tr ng-repeat="f in active.models | slice:globals.gcodeView.perPage:(globals.gcodeView.page-1)*globals.gcodeView.perPage" ng-class="{'bg-danger':f.error}">
<td style="overflow:visible">
<div ng-show="f.ok">
<button ng-show="user.printPermission" type="button" ng-click="printGCode(f, true)" class="margin-left btn btn-xs" ng-class="{'btn-primary':f.fits,'btn-danger':!f.fits}">
<i class="{{active.status.jobid ? 'rs rs-queue' : 'rs rs-print'}}"></i></button>
<span rs-dropdown dropdown-append-to-body style="margin-left:10px" is-open="$parent.menuModel[f.id]">
<div href="#" type="button" class="btn btn-primary btn-xs" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<div rs-dropdown-menu>
<div style="display:flex;flex-direction: row;flex-wrap: nowrap;justify-content: flex-start;align-items: start;align-self: stretch;">
<div>
<ul class="dropdown-menu" style="display:block;position:static;padding:0;border: 0;box-shadow: none;">
<li><a class="extrapad" href="javascript:void(0)" ng-click="info(f)"><rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,0)"><rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?></a></li>
<li ng-if="user.readPermission && isWebGL2Supported"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,3)"><rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,2)"><rs-menu-icon icon="fa fa-picture-o" style="padding:1px"></rs-menu-icon> <?php _('3D Image') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="downloadGCode(f.id)"><rs-menu-icon icon="fa fa-download" style="padding:1px"></rs-menu-icon> <?php _('Download G-Code') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,1)"><rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?></a></li>
<li ng-if="user.readPermission && user.editProjectsPermission"><a class="extrapad" href="javascript:void(0)" ng-click="copyToProject(f,$event)"><rs-menu-icon icon="fa fa-files-o" style="padding:1px"></rs-menu-icon> <?php _('Copy to Project') ?></a></li>
<li ng-if="user.printPermission && activeConfig.general.enableQueue"><a class="extrapad" href="javascript:void(0)" ng-click="closeModel(f.id);printGCode(f, false)"><rs-menu-icon icon="rs rs-queue" style="padding:1px"></rs-menu-icon> <?php _('Queue G-Code') ?></a></li>
<li ng-if="user.printPermission || user.changeConfigPermission">
<a class="extrapad" ng-click="closeModel(f.id);RSPrinter.recomputeGCodeInfo(f)">
<rs-menu-icon class="fa fa-recycle"></rs-menu-icon>
<?php _('Reparse G-Code') ?>
</a>
</li>
</ul>
</div>
<div style="margin-right:5px" ng-if="$root.hasWebcamSupport">
<img ng-src="{{f.imgM}}" style="height:337px">
</div>
</div>
</div>
</span>
</div>
<div ng-show="f.processing"><i class="fa fa-spinner fa-spin"></i></div>
</td>
<td style="white-space: normal;">
<rs-in-place-string ng-if="user.addPermission && user.delPermission" value="f.name" changed="newModelName(f)"></rs-in-place-string>
<span ng-if="!(user.addPermission && user.delPermission)">{{f.name}}</span>
</td>
<td class="visible-md visible-lg">{{f.created | date:'short'}}</td>
<td class="hidden-xs hidden-sm">{{f.length | byte}}</td>
<td class="visible-md visible-lg">{{f.lines}}</td>
<td>{{f.printTimeBest | dhms}}</td>
<td class="hidden-xs hidden-sm">{{f.filamentTotal | number:0}} mm</td>
<td class="hidden-xs hidden-sm">{{f.layer}}</td>
<td ng-if="user.delPermission" style="text-align: center">
<div type="button" ng-click="tryDeleteModel(f)" class="margin-right btn text-danger btn-xs pull-right">
<i class="fa fa-trash-o" style="font-size:1.2em"></i></div>
</td>
</tr>
</table>
</div>
<div ng-if="globals.gcodeView.viewMode==1" class="margin-top">
<table class="table table-bordered2 table-striped table-condensed table-hover nowrap vmiddle">
<tr class="sortable tableheader">
<th style="width: 60px"></th>
<th class="clickable" ng-click="SortBy(0)"><?php _('Filename') ?>
<i class="fa sort" ng-class="sortIcon(0)"></i>
</th>
<th class="clickable visible-md visible-lg" ng-click="SortBy(2)"><?php _('Uploaded') ?>
<i class="fa sort" ng-class="sortIcon(2)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(6)"><?php _('Size') ?>
<i class="fa sort" ng-class="sortIcon(6)"></i></th>
<th class="clickable visible-md visible-lg" ng-click="SortBy(8)"><?php _('Lines') ?>
<i class="fa sort" ng-class="sortIcon(8)"></i></th>
<th class="clickable" ng-click="SortBy(4)"><?php _('Time') ?>
<i class="fa sort" ng-class="sortIcon(4)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(10)"><?php _('Filament') ?>
<i class="fa sort" ng-class="sortIcon(10)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(12)"><?php _('Layer') ?>
<i class="fa sort" ng-class="sortIcon(12)"></i></th>
<th ng-show="user.delPermission" style="width:35px"></th>
</tr>
<tr ng-repeat="f in active.models | slice:globals.gcodeView.perPage:(globals.gcodeView.page-1)*globals.gcodeView.perPage" ng-class="{'bg-danger':f.error}">
<td>
<img ng-src="{{f.imgT}}" style="margin: -5px 10px;height: 55px;">
</td>
<td style="overflow: visible;white-space: normal">
<rs-in-place-string ng-if="user.addPermission && user.delPermission" value="f.name" changed="newModelName(f)"></rs-in-place-string>
<span ng-if="!(user.addPermission && user.delPermission)">{{f.name}}</span>
<br>
<div ng-show="f.ok">
<button ng-show="user.printPermission" type="button" ng-click="printGCode(f, true)" class="btn btn-xs" ng-class="{'btn-primary':f.fits,'btn-danger':!f.fits}">
<i class="{{active.status.jobid ? 'rs rs-queue' : 'rs rs-print'}}"></i></button>
<span rs-dropdown dropdown-append-to-body style="margin-left:10px" is-open="$parent.menuModel[f.id]">
<div href="#" type="button" class="btn btn-primary btn-xs" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<div rs-dropdown-menu>
<div style="display:flex;flex-direction: row;flex-wrap: nowrap;justify-content: flex-start;align-items: start;align-self: stretch;">
<div>
<ul class="dropdown-menu" style="display:block;position:static;padding:0;border: 0;box-shadow: none;">
<li><a class="extrapad" href="javascript:void(0)" ng-click="info(f)"><rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,0)"><rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?></a></li>
<li ng-if="user.readPermission && isWebGL2Supported"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,3)"><rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,2)"><rs-menu-icon icon="fa fa-picture-o" style="padding:1px"></rs-menu-icon> <?php _('3D Image') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="downloadGCode(f.id)"><rs-menu-icon icon="fa fa-download" style="padding:1px"></rs-menu-icon> <?php _('Download G-Code') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,1)"><rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?></a></li>
<li ng-if="user.readPermission && user.editProjectsPermission"><a class="extrapad" href="javascript:void(0)" ng-click="copyToProject(f,$event)"><rs-menu-icon icon="fa fa-files-o" style="padding:1px"></rs-menu-icon> <?php _('Copy to Project') ?></a></li>
<li ng-if="user.printPermission && activeConfig.general.enableQueue"><a class="extrapad" href="javascript:void(0)" ng-click="closeModel(f.id);printGCode(f, false)"><rs-menu-icon icon="rs rs-queue" style="padding:1px"></rs-menu-icon> <?php _('Queue G-Code') ?></a></li>
<li ng-if="user.printPermission || user.changeConfigPermission">
<a class="extrapad" ng-click="closeModel(f.id);RSPrinter.recomputeGCodeInfo(f)">
<rs-menu-icon class="fa fa-recycle"></rs-menu-icon>
<?php _('Reparse G-Code') ?>
</a>
</li>
</ul>
</div>
<div style="margin-right:5px" ng-if="$root.hasWebcamSupport">
<img ng-src="{{f.imgM}}" style="height:337px">
</div>
</div>
</div>
</span>
</div>
<div ng-show="f.processing"><i class="fa fa-spinner fa-spin"></i></div>
</td>
<td class="visible-md visible-lg">{{f.created | date:'short'}}</td>
<td class="hidden-xs hidden-sm">{{f.length | byte}}</td>
<td class="visible-md visible-lg">{{f.lines}}</td>
<td>{{f.printTimeBest | dhms}}</td>
<td class="hidden-xs hidden-sm">{{f.filamentTotal | number:0}} mm</td>
<td class="hidden-xs hidden-sm">{{f.layer}}</td>
<td ng-show="user.delPermission" style="text-align: center">
<div type="button" ng-click="tryDeleteModel(f)" class="margin-right btn text-danger btn-xs pull-right">
<i class="fa fa-trash-o" style="font-size:1.2em"></i></div>
</td>
</tr>
</table>
</div>
<div ng-if="globals.gcodeView.viewMode==2" class="panel-body">
<div class="row">
<div ng-repeat="f in active.models | slice:globals.gcodeView.perPage:(globals.gcodeView.page-1)*globals.gcodeView.perPage track by f.id" ng-class="{'bg-danger':f.error,zoomOut:delAnimation}" class="col-xs-6 col-sm-4 col-md-3">
<div class="gcodeIconContainer">
<h2 class="iconGCodeHeader">
<span title="{{f.name.length>25 ? f.name : ''}}">
<rs-in-place-string style="overflow: hidden;text-overflow: ellipsis;width: 100%;display: block;" class="nowrap" ng-if="user.addPermission && user.delPermission" value="f.name" changed="newModelName(f)"></rs-in-place-string>
<span ng-if="!(user.addPermission && user.delPermission)">{{f.name}}</span>
</span>
</h2>
<div class="iconGCode">
<img class="iconGCodeImage" ng-src="{{f.imgM}}">
<div class="hoverboxTL" ng-if="f.ok">
<button ng-show="user.printPermission" type="button" ng-click="printGCode(f, true)" class="btn btn-xs" ng-class="{'btn-primary':f.fits,'btn-danger':!f.fits}">
<i class="{{active.status.jobid ? 'rs rs-queue' : 'rs rs-print'}}"></i></button>
</div>
<div class="hoverboxTR">
<div rs-dropdown dropdown-append-to-body ng-if="f.ok" is-open="$parent.menuModel[f.id]">
<div href="#" type="button" class="btn btn-primary btn-xs" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<ul rs-dropdown-menu class="pull-right" is-open="$menuModel[f.id]">
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="info(f)">
<rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,0)">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?>
</a></li>
<li ng-if="user.readPermission && isWebGL2Supported">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,3)">
<rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,2)">
<rs-menu-icon icon="fa fa-picture-o" style="padding:1px"></rs-menu-icon> <?php _('3D Image') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="downloadGCode(f.id)">
<rs-menu-icon icon="fa fa-download" style="padding:1px"></rs-menu-icon> <?php _('Download G-Code') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,1)">
<rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?>
</a></li>
<li ng-if="user.readPermission && user.editProjectsPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="copyToProject(f,$event)">
<rs-menu-icon icon="fa fa-files-o" style="padding:1px"></rs-menu-icon> <?php _('Copy to Project') ?>
</a></li>
<li ng-if="user.printPermission && activeConfig.general.enableQueue">
<a class="extrapad" href="javascript:void(0)" ng-click="closeModel(f.id);printGCode(f, false)">
<rs-menu-icon icon="rs rs-queue" style="padding:1px"></rs-menu-icon> <?php _('Queue G-Code') ?>
</a></li>
<li ng-if="user.printPermission || user.changeConfigPermission">
<a class="extrapad" ng-click="closeModel(f.id);RSPrinter.recomputeGCodeInfo(f)">
<rs-menu-icon class="fa fa-recycle"></rs-menu-icon>
<?php _('Reparse G-Code') ?>
</a>
</li>
</ul>
</div>
<div ng-show="f.processing"><i class="fa fa-spinner fa-spin"></i></div>
</div>
<div class="hoverboxBR hover-parent-white">
{{f.printTimeBest | dhms}}
</div>
<div ng-if="user.delPermission" class="hoverboxBL">
<div type="button" ng-click="tryDeleteModel(f)" class="btn text-danger btn-xs pull-right light-textshadow" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o" style="font-size:1.6em"></i></div>
</div>
</div>
</div>
</div>
</div>
</div>
<div ng-if="globals.gcodeView.viewMode==3" class="panel-body">
<div class="row">
<div ng-repeat="f in active.models | slice:globals.gcodeView.perPage:(globals.gcodeView.page-1)*globals.gcodeView.perPage track by f.id" ng-class="{'bg-danger':f.error,zoomOut:delAnimation}" class="col-xs-12 col-sm-6 col-md-6">
<div class="gcodeIconContainer">
<h2 class="iconGCodeHeader">
<span title="{{f.name.length>35 ? f.name : ''}}">
<rs-in-place-string style="overflow: hidden;text-overflow: ellipsis;width: 100%;display: block;" class="nowrap" ng-if="user.addPermission && user.delPermission" value="f.name" changed="newModelName(f)"></rs-in-place-string>
<span ng-if="!(user.addPermission && user.delPermission)">{{f.name}}</span>
</span>
</h2>
<div class="iconGCode">
<img class="iconGCodeImage" ng-src="{{f.imgM}}">
<div class="hoverboxTL" ng-if="f.ok">
<button ng-show="user.printPermission" type="button" ng-click="printGCode(f, true)" class="btn btn-sm" ng-class="{'btn-primary':f.fits,'btn-danger':!f.fits}">
<i class="{{active.status.jobid ? 'rs rs-queue' : 'rs rs-print'}}" style="font-size: 1.5em;padding-top:1px"></i>
</button>
</div>
<div class="hoverboxTR">
<div rs-dropdown dropdown-append-to-body ng-if="f.ok" is-open="$parent.menuModel[f.id]">
<div href="#" type="button" class="btn btn-primary btn-sm" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<ul rs-dropdown-menu class="pull-right">
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="info(f)">
<rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,0)">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?>
</a></li>
<li ng-if="user.readPermission && isWebGL2Supported">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,3)">
<rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,2)">
<rs-menu-icon icon="fa fa-picture-o" style="padding:1px"></rs-menu-icon> <?php _('3D Image') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="downloadGCode(f.id)">
<rs-menu-icon icon="fa fa-download" style="padding:1px"></rs-menu-icon> <?php _('Download G-Code') ?>
</a></li>
<li ng-if="user.printPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,1)">
<rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?>
</a></li>
<li ng-if="user.readPermission && user.editProjectsPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="copyToProject(f,$event)">
<rs-menu-icon icon="fa fa-files-o" style="padding:1px"></rs-menu-icon> <?php _('Copy to Project') ?>
</a></li>
<li ng-if="user.printPermission && activeConfig.general.enableQueue">
<a class="extrapad" href="javascript:void(0)" ng-click="closeModel(f.id);printGCode(f, false)">
<rs-menu-icon icon="rs rs-queue" style="padding:1px"></rs-menu-icon> <?php _('Queue G-Code') ?>
</a></li>
<li ng-if="user.printPermission || user.changeConfigPermission">
<a class="extrapad" ng-click="closeModel(f.id);RSPrinter.recomputeGCodeInfo(f)">
<rs-menu-icon class="fa fa-recycle"></rs-menu-icon>
<?php _('Reparse G-Code') ?>
</a>
</li>
</ul>
</div>
<div ng-show="f.processing"><i class="fa fa-spinner fa-spin"></i></div>
</div>
<div ng-if="user.delPermission" class="hoverboxBL">
<div type="button" ng-click="tryDeleteModel(f)" class="btn text-danger btn-sm light-textshadow" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o" style="font-size: 2em;"></i>
</div>
</div>
<div class="hoverboxBR hover-parent-white">
{{f.printTimeBest | dhms}}
</div>
</div>
</div>
</div>
</div>
</div>
<div ng-if="active.models.length>globals.gcodeView.perPage">
<div class="col-xs-12" style="text-align: center;">
<div uib-pagination style="margin-top: 0;" boundary-links="true" total-items="active.models.length" max-size="7" ng-model="globals.gcodeView.page" items-per-page="globals.gcodeView.perPage" class="pagination-sm" previous-text="&lsaquo;" next-text="&rsaquo;" first-text="&laquo;" last-text="&raquo;"></div>
</div>
</div>
</div>
</div>
</div>
<div ng-if="selectSFile">
<h1>
<span ng-if="importAsJob"><?php _('Print G-Code') ?></span><span ng-if="!importAsJob"><?php _('Import G-Code') ?></span>
</h1>
<label>Folder {{selectedFolder}}</label>
<select class="form-control" ng-model="bfolder.selectedFolder" ng-options="f.id as f.name for f in folders" ng-change="selectedFolderChanged()"></select>
<label class="checkbox" style="margin-left:20px"><input type="checkbox" ng-model="bfolder.useFilter" ng-change="bfolder.updateFilter()"><?php _('Filter Wrong File Types') ?>
</label>
<h3>Path: {{bfolder.activeFolderPath}}</h3>
<table class="table table-hover">
<tr>
<th style="width:50px"></th>
<th><?php _('File') ?></th>
<th style="text-align: right"><?php _('Size') ?></th>
</tr>
<tr ng-repeat="p in bfolder.filesInPath" ng-dblclick="importFolderPath(p)">
<td>
<input ng-if="!p.isDir" type="checkbox" ng-model="p.selected" ng-click="bfolder.toggleSelectFile(p)">
</td>
<td ng-click="bfolder.toggleSelectFile(p)">
<i ng-class="p.icon"></i> {{p.name}}
</td>
<td style="text-align: right" ng-click="bfolder.toggleSelectFile(p)">
<span ng-if="!p.isDir">{{p.size | byte}}</span></td>
</tr>
</table>
<div class="btn btn-primary" ng-disabled="bfolder.numSelected === 0 || (importAsJob && !activeConfig.general.enableQueue && bfolder.numSelected !== 1)" ng-click="importSelectedFiles(true)" ng-hide="importAsJob && active.state.isJobActive">
<span ng-if="importAsJob"><i class="rs rs-print rs-bigtab"></i> <?php _('Print') ?></span><span ng-if="!importAsJob"><?php _('Import Selected') ?></span>
</div>
<div class="btn btn-primary" ng-if="importAsJob && activeConfig.general.enableQueue" ng-click="importSelectedFiles(false)">
<span ng-if="importAsJob"><i class="rs rs-queue rs-bigtab"></i> <?php _('Queue G-Code') ?></span><span ng-if="!importAsJob"><?php _('Import Selected') ?></span>
</div>
<div class="btn btn-primary" ng-click="importAllFiles()" ng-if="!importAsJob || activeConfig.general.enableQueue">
<span ng-if="importAsJob"><i class="rs rs-print rs-bigtab"></i> <?php _('Print All') ?></span><span ng-if="!importAsJob"><?php _('Import All') ?></span>
</div>
<div class="btn btn-default pull-right" ng-click="abortFileSelection()"><?php _('Cancel') ?></div>
<div class="alert alert-info margin-top">
<i class="fa fa-info-circle fa-2x"></i> <?php _('Use double click to import a single file.') ?>
</div>
</div>
</div>
