<div class="modal-header">
<button type="button" class="close" ng-click="close()" aria-hidden="true">&times;</button>
<h4 class="modal-title"><?php _("Backup Printer") ?></h4>
</div>
<div class="modal-body">
<div class="row">
<div class="col-xs-12">
<div class="alert-info alert"><?php _('Your printer configurations will be saved. You can also choose to backup additional files like your G-Codes. ') ?></div>
<div class="form-group">
<label><?php _('Backup Additional Files') ?></label>
</div>
<div class="form-group">
<div class="checkbox">
<label>
<input type="checkbox" ng-change="toggleSelectAll()" ng-model="selectAll"> <?php _('Select all') ?>
</label>
</div>
</div>
<div class="form-group">
<div class="checkbox">
<label>
<input type="checkbox" ng-model="backupConfig"> <?php _('Save Configuration') ?>
</label>
</div>
</div>
<div class="form-group">
<div class="checkbox">
<label ng-readonly="folderSizes.models.countFiltered === 0">
<input ng-readonly="folderSizes.models.countFiltered === 0" type="checkbox" ng-model="backupModels"> <?php _('Save G-Code Files') ?> (Size: {{folderSizes.models.size | byte}} , Model Count {{folderSizes.models.countFiltered}})
</label>
</div>
</div>
<div class="form-group">
<div class="checkbox">
<label ng-readonly="folderSizes.jobs.countFiltered === 0">
<input ng-readonly="folderSizes.jobs.countFiltered === 0" type="checkbox" ng-model="backupJobs"> <?php _('Save Current Jobs') ?> (Size: {{folderSizes.jobs.size | byte}} , Job Count {{folderSizes.jobs.countFiltered}})
</label>
</div>
</div>
<div class="form-group">
<div class="checkbox">
<label ng-readonly="folderSizes.timelapse.countFiltered === 0">
<input ng-readonly="folderSizes.timelapse.countFiltered === 0" type="checkbox" ng-model="backupTimelapse"> <?php _('Save Timelapses') ?> (Size: {{folderSizes.timelapse.size | byte}} , Timelapse Count {{folderSizes.timelapse.countFiltered}})
</label>
</div>
</div>
<div class="form-group">
<div class="checkbox">
<label ng-readonly="folderSizes.logs.count === 0">
<input ng-readonly="folderSizes.logs.count === 0" type="checkbox" ng-model="backupLogs"> <?php _('Save Print Logs') ?> (Size: {{folderSizes.logs.size | byte}} , File Count {{folderSizes.logs.count}})
</label>
</div>
</div>
</div>
</div>
</div>
<div class="modal-footer" style="display: flex; justify-content: end">
<button type="button" class="btn btn-default" ng-click="close()"><?php _("Close") ?></button>
<div class="margin-left" ng-click="close()">
<a target="ihelper" type="button" class="btn btn-primary" href="{{getBackupRequestLink()}}">
<?php _("Backup Printer") ?> </a>
</div>
</div>
