<h1 class="page-header"><i class="fa fa-archive"></i> <?php _('Search Projects') ?>
<div class="btn btn-primary pull-right" ng-click="browse()"><i class="fa fa-folder"></i> Browse</div>
</h1>
<ol class="breadcrumb">
<li>
<?php _('Server') ?>:
<div style="display: inline-block">
<select class="form-control" ng-model="loadedServer" ng-options="f as f.name for f in serverList" ng-change="selectServer(loadedServer)"></select>
</div>
</li>
<li><a href="javascript:void(0)" ng-click="browse()">root</a></li>
<li><?php _('Search Projects') ?></li>
</ol>
<div class="well">
<form class="form-horizontal">
<fieldset>
<div class="form-group">
<label class="col-md-3 control-label"><?php _('Tag') ?></label>
<div class="col-md-9">
<div class="input-group">
<input ng-model="tag" type="text" placeholder="<?php _('Enter Tag') ?>" class="form-control input-md" uib-typeahead="s.n for s in tags | filter:$viewValue | limitTo:10" enter="updateSearch()">
<span class="input-group-btn">
<button class="btn btn-default" type="button" ng-click="selectTag('')"><i class="fa fa-times"></i></button>
</span>
</div>
<div ng-repeat="t in tags | limitTo:20 track by t.n " class="btn btn-primary btn-sm margin-top" style="margin-right:10px" ng-click="selectTag(t.n)">
{{t.n}} ({{t.c}})
</div>
</div>
</div>
<div class="form-group">
<label class="col-md-3 control-label"><?php _('Search') ?></label>
<div class="col-md-9">
<input ng-model="search" type="text" placeholder="<?php _('Search Term') ?>" class="form-control input-md" enter="updateSearch()">
</div>
</div>
<div class="form-group">
<div class="margin-top col-md-9 col-md-offset-3">
<button class="btn btn-primary" ng-click="updateSearch()" ng-disabled="tag.length===0 && search.length===0">
<i class="fa fa-search rs-bigtab"></i> <?php _('Update Search') ?></button>
</div>
</div>
</fieldset>
</form>
</div>
<div>
<div class="margin-top">
<div class="row">
<div ng-repeat="f in activeProjects track by f.uuid" class="col-xs-6 col-sm-4 col-md-3">
<h2 class="iconGCodeHeader">
<span>
<rs-in-place-string ng-if="user.editProjectsPermission" value="f.name" changed="newProjectName(oldValue,newValue,f)"></rs-in-place-string>
<span ng-if="!(user.editProjectsPermission)">{{f.name}}</span>
</span>
</h2>
<div class="iconGCode" ng-click="selectProject(f)">
<img ng-src="{{f.previewUrl}}">
<div ng-if="user.editProjectsPermission" class="hoverboxTR" title="<?php _('Delete Project') ?>">
<button type="button" ng-click="tryDeleteProject(f,$event)" class="btn btn-danger btn-xs pull-right">
<i class="fa fa-trash-o" style="padding:1px"></i></button>
</div>
</div>
</div>
</div>
</div>
<div class="text-center">
<ul uib-pagination total-items="projects.length" ng-model="page" items-per-page="perPage" max-size="maxSize" class="pagination" boundary-links="true" boundary-link-numbers="true" rotate="true" ng-change="pageChanged(page)" previous-text="&lsaquo;" next-text="&rsaquo;" first-text="&laquo;" last-text="&raquo;"></ul>
</div>
</div>
