<div class="row">
<div class="col-lg-12">
<h1 class="page-header"><i class="fa fa-home"></i> <?php _("Dashboard") ?>
<div class="pull-right">
<div class="btn-group" style="margin-right:10px" ng-if="printerListActive.length <= 30">
<label class="btn btn-default" ng-model="$parent.showCam" uib-btn-radio="false" ng-click="storeCam()"><i class="rs rs-temperature rs-bigger"></i></label>
<label class="btn btn-default" ng-model="$parent.showCam" uib-btn-radio="true" ng-click="storeCam()"><i class="rs rs-webcam rs-bigger"></i></label>
</div>
<div rs-dropdown dropdown-append-to-body is-open="$parent.menuOrder" class="btn-group" style="margin-right:10px" ng-if="printerList.length > 1">
<button type="button" class="btn btn-default" rs-dropdown-toggle>
<i class="fa fa-sort"></i>
</button>
<ul rs-dropdown-menu>
<li>
<a class="extrapad" ng-click="closeOrder();setPrinterOrder('dynamic')">
<rs-menu-icon class="fa fa-sort-amount-desc"></rs-menu-icon>
<?php _("Sort Printers Dynamically") ?>
</a>
</li>
<li>
<a class="extrapad" ng-click="setPrinterOrder('name')">
<rs-menu-icon icon="fa fa-sort-alpha-asc"></rs-menu-icon>
<?php _("Sort Printers Alphabetically") ?></a>
</li>
</ul>
</div>
<div rs-dropdown dropdown-append-to-body is-open="menuTheme" class="btn-group" style="margin-right:10px">
<button type="button" class="btn btn-default" rs-dropdown-toggle>
<i class="fa" ng-class="{'fa-adjust':theme.mode==='auto','fa-circle-o':theme.mode==='light','fa-circle':theme.mode==='dark'}"></i>
</button>
<ul rs-dropdown-menu>
<li>
<a class="extrapad" ng-click="closeTheme();setTheme('auto')">
<rs-menu-icon icon="fa fa-adjust rs-bigtab"></rs-menu-icon>
<?php _("Autodetect") ?>
</a>
</li>
<li>
<a class="extrapad" ng-click="closeTheme();setTheme('light')">
<rs-menu-icon icon="fa fa-circle-o rs-bigtab"></rs-menu-icon>
<?php _("Light Mode") ?></a>
</li>
<li>
<a class="extrapad" ng-click="closeTheme();setTheme('dark')">
<rs-menu-icon icon="fa fa-circle rs-bigtab"></rs-menu-icon>
<?php _("Dark Mode") ?></a>
</li>
<li role="separator" class="divider"></li>
<li>
<a class="extrapad" ng-click="closeTheme();toggleFullWidth()">
<rs-menu-icon icon="fa fa-arrows-h rs-bigtab"></rs-menu-icon>
<?php _("Toggle Full Width") ?></a>
</li>
</ul>
</div>
<div rs-dropdown dropdown-append-to-body is-open="$parent.menuAddPrinter" class="btn-group" ng-if="user.showFeature('add-printer') && printerListActive.length < licence.maxActivePrinter">
<button type="button" class="btn btn-default" rs-dropdown-toggle>
<i class="fa fa-plus"></i>
</button>
<ul rs-dropdown-menu class="">
<li>
<a class="extrapad" ui-sref="configWizard">
<rs-menu-icon icon="fa fa-plus rs-bigtab"></rs-menu-icon> <?php _("Add new Printer") ?></a>
</li>
<li>
<a class="extrapad" href="javascript:void()" ng-click="closeAddPrinter();RSPrinters.uploadPrinter()">
<rs-menu-icon icon="fa fa-plus rs-bigtab"></rs-menu-icon> <?php _("Upload Printer Backup") ?></a>
</li>
</ul>
</div>
<div rs-dropdown dropdown-append-to-body is-open="$parent.menuAddPrinter" class="btn-group" ng-if="user.showFeature('add-printer') && printerListActive.length >= licence.maxActivePrinter">
<button type="button" class="btn btn-default" rs-dropdown-toggle>
<i class="fa fa-plus"></i>
</button>
<ul rs-dropdown-menu class="">
<li>
<a class="extrapad" ng-click="closeAddPrinter();showMaxActiveInfo()">
<rs-menu-icon icon="fa fa-plus rs-bigtab"></rs-menu-icon> <?php _("Add new Printer") ?></a>
</li>
<li>
<a class="extrapad" href="javascript:void()" ng-click="closeAddPrinter();showMaxActiveInfo()">
<rs-menu-icon icon="fa fa-plus rs-bigtab"></rs-menu-icon> <?php _("Upload Printer Backup") ?></a>
</li>
</ul>
</div>
</div>
<div class="clearfix"></div>
</h1>
</div>
</div>
<div class="alert alert-warning" ng-if="update.showUpdate"><h4>
<i class="fa fa-warning"></i> <?php _('A new update is available!') ?> -
<?php _('Version') ?> {{update.versionName}}</h4>
<a class="btn btn-primary" ui-sref="update"><i class="fa fa-download"></i> <?php _('Show me more') ?>
</a>
<button ng-click="ignoreVersion()" class="btn btn-primary margin-left" href="http://www.repetier-server.com/download-repetier-server/" target="_blank">
<i class="fa fa-times"></i> <?php _('Don\'t show again') ?></button>
</div>
<div class="row" ng-if="disk.usage">
<div class="col-xs-12">
<div class="progress">
<div class="progress-bar active" ng-class="disk.class" role="progressbar" aria-valuenow="{{disk.usage}}" aria-valuemin="0" aria-valuemax="100" style="width: {{disk.usage}}%"></div>
<div class="metertext"><?php _('Free Disk Space') ?>: {{disk.available | byte}}</div>
</div>
</div>
</div>
<div class="row equal-heights">
<div ng-repeat="p in printerListActive track by $index" class="col-xs-12 col-sm-6 col-lg-4">
<div class="panel {{p | onlinepanel}} rotateIn">
<div class="panel-heading" style="white-space:nowrap;overflow:hidden" ng-click="showPrinter(p.slug)">
<span ng-click="$event.stopPropagation();showPrinterCondition(p.slug)" style="cursor: pointer">
<i class="rs-bigtab" title="{{printer[p.slug] | printerConditionText}}" ng-class="printer[p.slug] | printerConditionIconHome"></i>
</span>{{p.name}}
<div class="pull-right" style="position: absolute;right: 25px;top: 5px;" ng-if="user.showFeature('del-printer') || user.showFeature('printer-restore') || user.showFeature('printer-configure') || user.showFeature('printer-backup') || user.printPermission || (user.fullStopPermission && p.active)">
<div rs-dropdown dropdown-append-to-body class="btn-group icon-btn" is-open="menuContext[p.slug]">
<a href="#" type="button" class="home-menu" rs-dropdown-toggle>
<i class="fa fa-cog"></i>
</a>
<ul rs-dropdown-menu class="pull-right" ng-click="$event.stopPropagation();closeContext(p.slug);">
<li ng-hide="!user.printPermission || p.active">
<a class="extrapad" ng-click="closeContext(p.slug);RSPrinters.activate(p)" href="javascript:void(0)">
<rs-menu-icon icon="fa fa-link fg-success"></rs-menu-icon> <?php _("Activate") ?>
</a>
</li>
<li ng-show="(user.printPermission || user.fullStopPermission) && p.active">
<a class="extrapad" ng-click="closeContext(p.slug);RSPrinters.deactivate(p)" href="javascript:void(0)">
<rs-menu-icon icon="fa fa-ban fg-danger"></rs-menu-icon> <?php _("Deactivate") ?></a>
</li>
<li ng-if="user.showFeature('printer-configure')">
<a class="extrapad" ui-sref="printerConfig.general({slug:p.slug})">
<rs-menu-icon icon="fa fa-cog"></rs-menu-icon> <?php _("Printer Settings") ?></a></li>
<li ng-if="user.showFeature('printer-backup')">
<a class="extrapad" ng-click="closeContext(p.slug);RSPrinters.backupPrinter(p)">
<rs-menu-icon icon="fa fa-download"></rs-menu-icon> <?php _("Backup Printer") ?>
</a>
</li>
<li ng-if="user.showFeature('printer-restore')"><a class="extrapad" href="javascript:void(0)" ng-click="closeContext(p.slug);RSPrinters.uploadPrinter(p)">
<rs-menu-icon icon="fa fa-retweet"></rs-menu-icon> <?php _("Restore Printer") ?>
</a></li>
<li ng-if="user.showFeature('del-printer')"><a class="extrapad" href="javascript:void(0)" ng-click="closeContext(p.slug);RSPrinters.removePrinter(p)">
<rs-menu-icon icon="fa fa-trash-o fg-danger"></rs-menu-icon> <?php _("Remove Printer") ?>
</a>
</li>
</ul>
</div>
</div>
</div>
<div ng-click="showPrinter(p.slug)" class="panel-body small-font">
<div ng-if="canShowCam(p.slug)" style="height:160px; text-align: center;">
<rs-printer-webcam slug="p.slug" max-height="160" max-refresh="1000" idx="{{$index}}"></rs-printer-webcam>
</div>
<div ng-if="!canShowCam(p.slug)">
<div class="row">
<div class="col-xs-12" ng-class="{opacity50:p.online!=1}">
<temp-chart ng-if="showCam" history="printer[p.slug].state.extruder[printer[p.slug].state.activeExtruder].history" style="height:160px" compact="compact"></temp-chart>
<temp-chart ng-if="!showCam" history="printer[p.slug].state.extruder[printer[p.slug].state.activeExtruder].history" style="height:100px" compact="compact"></temp-chart>
</div>
</div>
</div>
<div class="row" ng-hide="p.online">
<div class="col-xs-12">
<?php _("Printing:") ?>
<?php _("No") ?>
</div>
<div class="col-xs-12">
<div class="progress active" style="margin-bottom: 0">
<div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100" style="width:0">
</div>
</div>
</div>
</div>
<div style="width: 100%; display:flex; align-items: flex-end;" ng-show="p.online">
<div class="row" style="flex-grow: 1;flex-shrink: 1; width: 100%">
<div class="col-xs-12" style="white-space: nowrap;overflow: hidden;text-overflow: ellipsis;"><?php _("Printing:") ?>
<span ng-bind="p | printing">
</span>
</div>
</div>
</div>
<div style="width: 100%; display:flex; align-items: flex-end;" ng-show="p.online">
<div class="row" style="flex-grow: 1;flex-shrink: 1; width: 100%">
<div class="col-xs-12">
<div class="progress active" style="margin-bottom: 0; height:22px">
<div class="metertext" style="margin-bottom: 0;line-height: 1.75;" ng-show="printer[p.slug].state.isJobActive">
{{printer[p.slug].status.done | number:2}}% &nbsp;&nbsp;| &nbsp;&nbsp;
<?php _('ETE') ?>
{{printer[p.slug].status.printTime-printer[p.slug].status.printedTimeComp | dhms}}
</div>
<div class="progress-bar progress-bar-success" role="progressbar" aria-valuemin="0" aria-valuemax="100" style="width:{{printer[p.slug].status.done}}%">
</div>
</div>
</div>
</div>
<div style="flex-grow: 0;padding-left:10px" ng-if="(user.printPermission || user.fullStopPermission) && p.job !== 'none'">
<button ng-show="!printer[p.slug].status.paused" ng-click="$event.stopPropagation();RSPrinters.pausePrint(p)" style="" class="btn btn-default btn-xs">
<i class="fa fa-pause"></i>
</button>
<button ng-show="user.printPermission && printer[p.slug].status.paused" ng-click="$event.stopPropagation();RSPrinters.unpausePrint(p)" ng-disabled="printer[p.slug].status.pauseState===3" style="" class="btn btn-primary btn-xs">
<i class="fa fa-play"></i>
{{RSPrinter.pauseNames[printer[p.slug].status.pauseState]}}
</button>
</div>
</div>
</div>
<div class="panel-footer" style="padding:0;display:flex">
<a ng-click="showPrinter(p.slug)" style="padding:10px 15px;flex-grow:1;display:flex;justify-content: space-between">
<span><?php _("Go to Printer") ?>
&nbsp;<div ng-if="printer[p.slug].state.doorOpen && printerConfig[p.slug].general.doorHandling" class="btn btn-warning btn-sm" style="position: absolute; margin-top:-5px"><?php _('Door Open!') ?></div>
</span>
<span class=""><i class="fa fa-arrow-circle-right rs-bigtab"></i> </span>
</a>
<div class="btn-group" style="flex-grow:0" rs-dropdown dropdown-append-to-body is-open="$parent.menuEmergency[p.slug]" ng-if="serverSettings.gui.emergencyOnDesktop && printer[p.slug].status.online && (user.printPermission || user.fullStopPermission)">
<span type="button" class="btn btn-default" rs-dropdown-toggle style="height:41px;padding:0">
<span ng-if="serverSettings.gui.emergencyIcon==0" class="fa-stack" style="height:39px;width:39px;font-size:39px;line-height:39px;align-items: center; display: inline-flex;"><i class="rs rs-emergency-1 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-2 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-3 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-4 fa-stack-1x" style="text-align:left ;line-height: 20px"></i></span>
<span ng-if="serverSettings.gui.emergencyIcon==1" class="fa-stack" style="width: 39px;height: 39px;font-size: 33px;background: #cf0000;color:#ffffff;text-align:center"><i class="fa fa-hand-paper-o fa-stack-1x" style="width: 20px;height: 20px;line-height: 20px;left:5px;top:10px"></i></span>
</span>
<ul rs-dropdown-menu>
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="closeEmergency(p.slug);RSPrinters.emergencyStop(p)">
<span ng-if="serverSettings.gui.emergencyIcon==0" class="fa-stack rs-fw rs-bigtab" style="height:20px;width:30px"><i class="rs rs-emergency-1 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-2 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-3 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-4 fa-stack-1x" style="text-align:left ;line-height: 20px"></i></span>
<span ng-if="serverSettings.gui.emergencyIcon==1" class="fa-stack rs-fw rs-bigtab" style="border-radius: 2px; width: 20px;height: 20px;font-size: 20px;background: #cf0000;color:#ffffff; margin-right: 10px"><i class="fa fa-hand-paper-o fa-stack-1x" style="transform: scale(0.8); width: 16px;height: 16px;line-height: 20px;left:2px;top:2px"></i></span>
<?php _("Full Stop") ?></a></li>
</ul>
</div>
<div class="clearfix"></div>
</div>
</div>
</div>
</div>
<div class="row margin-bottom" ng-show="user.changeConfigPermission && printerListActive.length == 0">
<div class="col-xs-12 col-sm-6 col-md-4 col-lg-4 margin-top">
<a class="btn btn-primary btn-block" ui-sref="configWizard"><i class="fa fa-plus rs-bigtab"></i> <?php _("Add new Printer") ?></a>
</div>
<div class="col-xs-12 col-sm-6 col-md-4 col-lg-4 margin-top">
<button class="btn btn-primary btn-block" ng-click="RSPrinters.uploadPrinter()"><i class="fa fa-plus rs-bigtab"></i> <?php _("Upload Printer Configuration") ?></button>
</div>
</div>
<uib-accordion close-others="true">
<div uib-accordion-group class="panel-default" is-open="deactivatedOpen" ng-if="printerListInactive.length>0">
<uib-accordion-heading><i class="rs rs-printer"></i> <?php _('Deactivated Printers') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': deactivatedOpen, 'glyphicon-chevron-right': !deactivatedOpen}"></i>
</uib-accordion-heading>
<div class="row equal-heights">
<div ng-repeat="p in printerListInactive track by $index" class="col-xs-12 col-sm-6 col-lg-4">
<div class="panel {{p | onlinepanel}} rotateIn" style="margin-bottom: 20px;">
<div class="panel-heading" style="white-space:nowrap;overflow:hidden" ng-click="showPrinter(p.slug)">
<span ng-click="$event.stopPropagation();showPrinterCondition(p.slug)" style="cursor: pointer"><i class="rs-bigtab" title="{{printer[p.slug] | printerConditionText}}" ng-class="printer[p.slug] | printerConditionIconHome"></i>
{{p.name}}</span>
<div class="pull-right" style="position: absolute;right: 25px;top: 5px;" ng-if="user.showFeature('del-printer') || user.showFeature('printer-restore') || user.showFeature('printer-configure') || user.showFeature('printer-backup') || user.printPermission || (user.fullStopPermission && p.active)">
<div rs-dropdown dropdown-append-to-body class="btn-group icon-btn" is-open="menuContext[p.slug]">
<a href="#" type="button" class="home-menu" rs-dropdown-toggle>
<i class="fa fa-cog"></i>
</a>
<ul rs-dropdown-menu class="pull-right" ng-click="$event.stopPropagation();closeContext(p.slug);">
<li ng-hide="!user.printPermission || p.active">
<a class="extrapad" ng-click="closeContext(p.slug);RSPrinters.activate(p)" href="javascript:void(0)">
<rs-menu-icon icon="fa fa-link fg-success"></rs-menu-icon> <?php _("Activate") ?>
</a>
</li>
<li ng-show="(user.printPermission || user.fullStopPermission) && p.active">
<a class="extrapad" ng-click="closeContext(p.slug);RSPrinters.deactivate(p)" href="javascript:void(0)">
<rs-menu-icon icon="fa fa-ban fg-danger"></rs-menu-icon> <?php _("Deactivate") ?></a>
</li>
<li ng-if="user.showFeature('printer-configure')">
<a class="extrapad" ui-sref="printerConfig.general({slug:p.slug})">
<rs-menu-icon icon="fa fa-cog"></rs-menu-icon> <?php _("Printer Settings") ?></a></li>
<li ng-if="user.showFeature('printer-backup')">
<a class="extrapad" ng-click="closeContext(p.slug);RSPrinters.backupPrinter(p)">
<rs-menu-icon icon="fa fa-download"></rs-menu-icon> <?php _("Backup Printer") ?>
</a>
</li>
<li ng-if="user.showFeature('printer-restore')"><a class="extrapad" href="javascript:void(0)" ng-click="closeContext(p.slug);RSPrinters.uploadPrinter(p)">
<rs-menu-icon icon="fa fa-retweet"></rs-menu-icon> <?php _("Restore Printer") ?>
</a></li>
<li ng-if="user.showFeature('del-printer')"><a class="extrapad" href="javascript:void(0)" ng-click="closeContext(p.slug);RSPrinters.removePrinter(p)">
<rs-menu-icon icon="fa fa-trash-o fg-danger"></rs-menu-icon> <?php _("Remove Printer") ?>
</a>
</li>
</ul>
</div>
</div>
</div>
<div class="panel-body small-font">
<a ng-show="(user.printPermission || user.fullStopPermission) && p.active" class="btn btn-success btn-block" ng-click="closeContext(p.slug);RSPrinters.activate(p)" href="javascript:void(0)">
<rs-menu-icon icon="fa fa-link"></rs-menu-icon> <?php _("Activate") ?>
</a>
</div>
<div class="panel-footer" style="padding:0;display:flex">
<a ng-click="showPrinter(p.slug)" style="padding:10px 15px;flex-grow:1;display:flex;justify-content: space-between">
<span><?php _("Go to Printer") ?>
&nbsp;<div ng-if="printer[p.slug].state.doorOpen && printerConfig[p.slug].general.doorHandling" class="btn btn-warning btn-sm" style="position: absolute; margin-top:-5px"><?php _('Door Open!') ?></div>
</span>
<span class=""><i class="fa fa-arrow-circle-right rs-bigtab"></i> </span>
</a>
<div class="btn-group" style="flex-grow:0" rs-dropdown dropdown-append-to-body is-open="$parent.menuEmergency[p.slug]" ng-if="serverSettings.gui.emergencyOnDesktop && printer[p.slug].status.online && (user.printPermission || user.fullStopPermission)">
<span type="button" class="btn btn-default" rs-dropdown-toggle style="height:41px;padding:0">
<span ng-if="serverSettings.gui.emergencyIcon==0" class="fa-stack" style="height:39px;width:39px;font-size:39px;line-height:39px;align-items: center; display: inline-flex;"><i class="rs rs-emergency-1 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-2 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-3 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-4 fa-stack-1x" style="text-align:left ;line-height: 20px"></i></span>
<span ng-if="serverSettings.gui.emergencyIcon==1" class="fa-stack" style="width: 39px;height: 39px;font-size: 33px;background: #cf0000;color:#ffffff;text-align:center"><i class="fa fa-hand-paper-o fa-stack-1x" style="width: 20px;height: 20px;line-height: 20px;left:5px;top:10px"></i></span>
</span>
<ul rs-dropdown-menu>
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="closeEmergency(p.slug);RSPrinters.emergencyStop(p)">
<span ng-if="serverSettings.gui.emergencyIcon==0" class="fa-stack rs-fw rs-bigtab" style="height:20px;width:30px"><i class="rs rs-emergency-1 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-2 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-3 fa-stack-1x" style="text-align:left ;line-height: 20px"></i><i class="rs rs-emergency-4 fa-stack-1x" style="text-align:left ;line-height: 20px"></i></span>
<span ng-if="serverSettings.gui.emergencyIcon==1" class="fa-stack rs-fw rs-bigtab" style="border-radius: 2px; width: 20px;height: 20px;font-size: 20px;background: #cf0000;color:#ffffff; margin-right: 10px"><i class="fa fa-hand-paper-o fa-stack-1x" style="transform: scale(0.8); width: 16px;height: 16px;line-height: 20px;left:2px;top:2px"></i></span>
<?php _("Full Stop") ?></a></li>
</ul>
</div>
<div class="clearfix"></div>
</div>
</div>
</div>
</div>
</div>
</uib-accordion>
<uib-accordion close-others="true">
<div uib-accordion-group class="panel-default" is-open="networkOpen">
<uib-accordion-heading><i class="fa fa-sitemap"></i> <?php _('Network') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': networkOpen, 'glyphicon-chevron-right': !networkOpen}"></i>
</uib-accordion-heading>
<div class="row">
<div ng-if="serverSettings.externalAccess.domain" class="col-xs-12 col-sm-6 col-md-6 col-lg-6 margin-bottom">
<div class="list-group condensed">
<div class="list-group-item active"><i class="fa fa-sitemap rs-bigtab"></i> <?php _('Network Interface') ?>
</div>
<div class="list-group-item" style="overflow-x: auto;text-align: center">
<div class="select-text pointer nowrap" ng-click="toClipboard(serverSettings.externalAccess.domain)">
{{serverSettings.externalAccess.domain}} <i class="fa fa-copy"></i></div>
<div class="select-text pointer nowrap" ng-if="ips.httpsEnabled">
&nbsp;</div>
<div class="select-text pointer nowrap" ng-click="toClipboard(httpType+'://'+serverSettings.externalAccess.domain+':'+serverSettings.externalAccess.port)">
http://{{serverSettings.externalAccess.domain}}:{{serverSettings.externalAccess.port}}
<i class="fa fa-copy"></i></div>
<div>&nbsp</div>
<img ng-src="{{qr('http',serverSettings.externalAccess.domain,serverSettings.externalAccess.port)}}" style="margin:3px 0;background-color:#fff;padding:3px;">
</div>
</div>
</div>
<div ng-repeat="n in ips.ipv4" ng-if="ips.ipv4Support" class="col-xs-12 col-sm-6 col-md-6 col-lg-6 margin-bottom">
<div class="list-group condensed">
<div class="list-group-item active"><i class="fa fa-sitemap rs-bigtab"></i>
{{n.name}}
</div>
<div class="list-group-item" style="overflow-x: auto;text-align: center">
<div class="select-text pointer nowrap" ng-click="toClipboard(n.ip)">{{n.ip}} <i class="fa fa-copy"></i>
</div>
<div class="select-text pointer nowrap" ng-click="toClipboard('http://'+n.ip+':'+ips.port)">
{{httpType}}://{{n.ip}}:{{ips.port}} <i class="fa fa-copy"></i></div>
<div class="select-text pointer nowrap" ng-if="ips.httpsEnabled" ng-click="toClipboard('https://'+n.ip+':'+ips.httpsPort)">
https://{{n.ip}}:{{ips.httpsPort}} <i class="fa fa-copy"></i></div>
<div class="select-text pointer nowrap" ng-click="toClipboard(n.mac)">MAC: {{n.mac}}
<i class="fa fa-copy"></i>
</div>
<img ng-src="{{qr('http',n.ip,ips.port)}}" style="margin:3px 0;background-color:#fff;padding:3px;">
</div>
</div>
</div>
<div ng-repeat="n in ips.ipv6" ng-if="ips.ipv6Support" class="col-xs-12 col-sm-6 col-md-6 col-lg-6 margin-bottom">
<div class="list-group condensed">
<div class="list-group-item active"><i class="fa fa-sitemap rs-bigtab"></i> <?php _('Network Interface') ?>
{{n.name}}
</div>
<div class="list-group-item" style="overflow-x: auto;text-align: center">
<div class="select-text pointer nowrap" ng-click="toClipboard(n.ip)">{{n.ip}} <i class="fa fa-copy"></i>
</div>
<div class="select-text pointer nowrap" ng-click="toClipboard('http://['+n.ip+']:'+ips.port)">
http://[{{n.ip}}]:{{ips.port}} <i class="fa fa-copy"></i></div>
<div ng-if="ips.httpsEnabled" class="select-text pointer nowrap" ng-click="toClipboard('https://['+n.ip+']:'+ips.httpsPort)">
https://[{{n.ip}}]:{{ips.httpsPort}} <i class="fa fa-copy"></i></div>
<div class="select-text pointer nowrap" ng-click="toClipboard(n.mac)">MAC: {{n.mac}}
<i class="fa fa-copy"></i>
</div>
<img ng-src="{{qr6('http','['+n.ip+']',ips.port)}}" style="margin:3px 0;background-color:#fff;padding:3px;">
</div>
</div>
</div>
</div>
</div>
</uib-accordion>
<br>
