<div class="tab-pane active" id="panelKlipperConfig">
<div class="form-group margin-top" style="height:60px" ng-if="user.showFeature('config-klipper')">
<label><?php _('Configuration') ?></label>
<select class="form-control" ng-model="$parent.actKlipper" ng-options="m as m for m in klipper.configs">
</select>
</div>
<div ng-if="actKlipper" class="margin-bottom margin-top clearfix">
{{infoMsg}}
<div class="pull-right" rs-dropdown dropdown-append-to-body style="margin-left:10px;" is-open="$parent.klipperMenu">
<button rs-dropdown-toggle type="button" class="icon-btn-border btn btn-default btn-sm pull-right" style="width:30px">
<i class="fa fa-ellipsis-v"></i>
</button>
<ul rs-dropdown-menu role="menu" style="text-align: left">
<li ng-if="user.showFeature('config-klipper')">
<a href="javascript:void(0)" ng-click="saveAs()">
<rs-menu-icon icon="fa fa-save"></rs-menu-icon> <?php _('Save As') ?>
</a>
</li>
<li ng-if="user.showFeature('config-klipper')">
<a href="javascript:void(0)" ng-click="saveAs(true)">
<rs-menu-icon icon="fa fa-plus"></rs-menu-icon> <?php _('Create new Configuration') ?>
</a>
</li>
<li ng-if="showInstall && user.showFeature('config-klipper')">
<a href="javascript:void(0)" class="text-danger" ng-click="deleteConfig()">
<rs-menu-icon class="fa fa-trash-o text-danger"></rs-menu-icon>
<span class="text-danger"><?php _('Delete Configuration') ?></span>
</a>
</li>
<li ng-if="user.showFeature('config-klipper')">
<a href="javascript:void(0)" class="text-danger" ng-click="backupConfig()">
<rs-menu-icon class="fa fa-hdd-o"></rs-menu-icon> <?php _('Backup Settings') ?>
</a>
</li>
<li ng-if="klipper.hasSampleConfigs && user.showFeature('config-klipper')">
<a href="javascript:void(0)" ng-click="showSampleConfigs()">
<rs-menu-icon class="fa fa-file-text-o"></rs-menu-icon> <?php _('Show Sample Configs') ?>
</a>
</li>
<li ng-if="!showInstall && klipper.supportsRestart && actKlipper === activeSlug && user.showFeature('restart-klipper')">
<a href="javascript:void(0)" ng-click="restartKlipper()">
<rs-menu-icon class="fa fa-refresh"></rs-menu-icon> <?php _('Restart Klipper') ?>
</a>
</li>
<li ng-if="!showInstall && klipper.supportsCreateFirmware && actKlipper === activeSlug && user.showFeature('config-klipper')">
<a href="javascript:void(0)" ng-click="createFirmware()">
<rs-menu-icon class="rs rs-firmwareupload"></rs-menu-icon> <?php _('Build Micro-Controller') ?>
</a>
</li>
<li ng-if="!showInstall && klipper.createdFirmware && actKlipper === activeSlug && user.showFeature('config-klipper')">
<a href="javascript:void(0)" ng-click="downloadFirmware()">
<rs-menu-icon class="fa fa-download"></rs-menu-icon> <?php _('Download Micro-Controller File') ?>
</a>
</li>
<li ng-if="!showInstall && klipper.supportsInputShaping && klipper.inputShapingInstalled && actKlipper === activeSlug && user.showFeature('config-klipper')">
<a href="javascript:void(0)" ng-click="startInputShaping()">
<rs-menu-icon icon-img="'/img/svg/rs-waveform.svg'"></rs-menu-icon> <?php _('Start Input Shaping') ?>
</a>
</li>
<li ng-if="!showInstall && klipper.supportsInstallInputShaping && actKlipper === activeSlug && user.showFeature('config-klipper')">
<a href="javascript:void(0)" ng-click="installInputShaping()">
<rs-menu-icon class="fa fa-plus-square"></rs-menu-icon>
<span ng-if="klipper.inputShapingInstalled"><?php _('Reinstall Input Shaping') ?></span>
<span ng-if="!klipper.inputShapingInstalled"><?php _('Install Input Shaping') ?></span>
</a>
</li>
<li ng-if="((!showInstall && klipper.supportsInputShaping && klipper.inputShapingInstalled) || klipper.hasInputShapingImages) && actKlipper === activeSlug && user.showFeature('config-klipper')">
<a href="javascript:void(0)" ng-click="showInputShapingResults()">
<rs-menu-icon class="fa fa-area-chart"></rs-menu-icon> <?php _('Show Input Shaping Results') ?>
</a>
</li>
<li>
<a href="https://www.klipper3d.org/" target="_blank" title="<?php _('Klipper Homepage') ?>">
<rs-menu-icon class="fa fa-info-circle"></rs-menu-icon> <?php _('Klipper Homepage') ?>
</a>
</li>
<li ng-if="!showInstall && klipper.supportsUpdate && actKlipper === activeSlug && user.showFeature('config-klipper')">
<a href="javascript:void(0)" ng-click="updateKlipper()">
<rs-menu-icon class="fa fa-refresh"></rs-menu-icon>
<span><?php _('Update Klipper') ?></span>
</a>
</li>
<li ng-if="!showInstall && klipper.supportsGetLog && actKlipper === activeSlug && user.showFeature('control-klipper')">
<a href="javascript:void(0)" ng-click="getKlipperLog()">
<rs-menu-icon class="rs rs-log"></rs-menu-icon>
<span><?php _('Show Klipper Log') ?></span>
</a>
</li>
<li ng-if="!showInstall && klipper.supportsUninstall && actKlipper === activeSlug && user.showFeature('config-klipper')">
<a href="javascript:void(0)" ng-click="uninstallKlipper()">
<rs-menu-icon class="fa fa-minus-square text-danger"></rs-menu-icon>
<span class="text-danger"><?php _('Uninstall Klipper') ?></span>
</a>
</li>
</ul>
</div>
<button ng-if="user.showFeature('config-klipper')" class="btn btn-success pull-right" ng-click="saveConfig()">
<i class="fa fa-save rs-bigtab"></i>
<span ng-if="actKlipper!==activeSlug || showInstall || !klipper.supportsRestart"><?php _('Save Configuration') ?></span>
<span ng-if="!(actKlipper!==activeSlug || showInstall || !klipper.supportsRestart)"><?php _('Save and Install') ?></span>
</button>
<button ng-if="showInstall && klipper.supportsInstall && actKlipper === activeSlug && user.showFeature('config-klipper')" class="btn btn-default pull-right margin-right" ng-click="installKlipper()">
<i class="fa fa-plus-square rs-bigtab"></i> <?php _('Install Klipper') ?>
</button>
<button ng-if="klipper.supportsInstallInputShaping && klipper.inputShapingInConfig && actKlipper === activeSlug && !klipper.inputShapingInstalled && user.showFeature('config-klipper')" class="btn btn-default pull-right margin-right" ng-click="installInputShaping()">
<span><?php _('Install Input Shaping') ?></span>
</button>
</div>
<div style="height: calc(100vh - 360px);min-height: 300px; display: flex; flex-direction: column;" ng-if="actKlipper && page === 0 && user.showFeature('config-klipper')">
<rs-klipper-config-editor ng-model="$parent.klipperConfig" style="width:100%; overflow-y: auto; height: 100%;"></rs-klipper-config-editor>
</div>
<div ng-if="configs.length > 0 && page === 1">
<div style="display: flex;width:100%;align-items: center;column-gap: 20px">
<div style="flex: 1 1 200px">
<label class="margin-top"><?php _('Sample Config') ?></label>
<select class="form-control primary-select" ng-model="$parent.actSample" ng-options="g as g.name for g in configs"></select>
</div>
<div class="btn btn-danger" ng-click="goPage(0)"><i class="fa fa-times"></i> <?php _('To Configuration') ?></div>
</div>
<div style="height: calc(100vh - 430px);min-height: 300px; display: flex; flex-direction: column;">
<rs-klipper-config-editor ng-model="actSample.cfg" style="width:100%; overflow-y: auto; height: 100%;"></rs-klipper-config-editor>
</div>
</div>
</div>
