<div class="modal-header">
<button type="button" class="close" ng-click="cancel()" aria-hidden="true">&times;</button>
<h4 class="modal-title">{{headline}}</h4>
</div>
<div class="modal-body">
<h2><?php _('Select Printer Group') ?></h2>
<uib-accordion close-others="oneAtATime">
<div uib-accordion-group class="panel-default" heading="{{p.name}}" ng-repeat="p in printerList track by p.slug" ng-init="status = {isOpen: false}" is-open="status.isOpen">
<uib-accordion-heading>
<div class="clickable"><i class="rs rs-printer"></i> {{p.name}}
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': status.isOpen, 'glyphicon-chevron-right': !status.isOpen}"></i>
</div>
</uib-accordion-heading>
<div ng-repeat="m in models[p.slug] track by $index">
<h3>{{m.store.name}}</h3>
<div class="list-group">
<a href="javascript:void(0)" class="list-group-item" ng-repeat="g in m.folders.folders track by $index" ng-click="selectPrinter(p.slug, g, m)">
<i class="fa fa-folder"></i> {{g.path}}
</a>
</div>
</div>
</div>
</uib-accordion>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-default" ng-click="cancel()">
<i class="fa fa-times"></i> <?php _('Cancel') ?>
</button>
</div>
